import 'proxy-polyfill';
import 'es6-object-assign/auto';
import 'es6-symbol/implement';
import { IInitOptions } from '../../internal/src/middleware/types';
/**
 * Initializes CommandBar and injects the scripts required to load it into the <head> of the document. After calling
 * this function it will be possible to access window.CommandBar and call the SDK methods, even if the scripts have not
 * finished loading yet.
 *
 * @param {string} org Your organization ID, which can be found [here](https://commandbar.com/docs/dev/installation).
 * @param {IInitOptions} [opts] Additional options to use for initialization: `debug` will enable additional logging, `environment` specifies the environment to load config from
 * output.
 */
declare const init: (org: string, opts?: IInitOptions) => void;
export default init;
