import { CommandBarClientSDK, InstanceAttributes, MetaAttributes, Metadata } from './CommandBarClientSDK';
import { EVENT_NAME } from './AnalyticsEventTypes';
import { SentryReporter } from './SentryReporter';
import { _access, _configuration, _configure, _configUser, _dispose, _disposed, _eventSubscriptions, _userAttributes, _isProxy, _loadEditor, _orgConfig, _perf, _programmaticTheme, _reloadCommands, _reloadOrganization, _reloadPlaceholders, _reloadNudges, _previewNudge, _stopChecklistPreview, _stopNudgePreview, _reloadChecklists, _report, _reporter, _search, _setDashboard, _setPreviewMode, _setTestMode, _showGuide, _showMessage, _user, _instanceAttributes, _setEditorVisible, _shareConfig, _shareContextSettings, _shareProgrammaticCommands, _metaAttributes, _previewChecklist } from './symbols';
import { SDKConfig } from './SDKConfig';
import { IChecklist, ICommandType, INudgeType, IResourceSettingsByContextKey } from '../middleware/types';
import { OrgConfig } from './OrgConfig';
import { EventSubscriber } from './EventHandler';
export type { SDKConfig } from './SDKConfig';
export interface CommandBarInternalSDK {
    [_access]: string | undefined;
    [_instanceAttributes]: InstanceAttributes;
    [_metaAttributes]: MetaAttributes;
    [_perf]: boolean;
    [_programmaticTheme]: string | undefined;
    [_reporter]: SentryReporter | undefined;
    [_search]: string;
    [_user]: string | undefined;
    [_userAttributes]: Metadata | undefined;
    [_eventSubscriptions]: Map<symbol, EventSubscriber> | undefined;
    /** @deprecated */
    readonly [_configure]: (uuid: string) => void;
    readonly [_configuration]: SDKConfig;
    readonly [_configUser]: () => Promise<void>;
    readonly [_dispose]: () => void;
    readonly [_disposed]: false;
    readonly [_isProxy]: false;
    readonly [_loadEditor]: () => void;
    readonly [_orgConfig]: OrgConfig;
    readonly [_reloadCommands]: () => void;
    readonly [_reloadOrganization]: () => void;
    readonly [_reloadPlaceholders]: () => void;
    readonly [_reloadNudges]: () => void;
    readonly [_previewNudge]: (data: {
        nudge: INudgeType;
        step: number;
    }) => void;
    readonly [_stopChecklistPreview]: () => void;
    readonly [_stopNudgePreview]: (data: {
        index?: number;
    }) => void;
    readonly [_previewChecklist]: (data: {
        checklist: IChecklist;
        clearData?: boolean;
    }) => void;
    readonly [_reloadChecklists]: () => void;
    /** @deprecated  */
    readonly [_report]: (event: EVENT_NAME, data?: Metadata) => void;
    /** @deprecated  */
    readonly [_setDashboard]: (element: HTMLElement) => void;
    readonly [_setPreviewMode]: (on: boolean) => void;
    readonly [_setTestMode]: (on: boolean) => void;
    readonly [_setEditorVisible]: (visible: boolean) => void;
    readonly [_shareContextSettings]: () => {
        local: IResourceSettingsByContextKey;
        server: IResourceSettingsByContextKey;
    };
    readonly [_shareConfig]: () => any;
    readonly [_shareProgrammaticCommands]: () => ICommandType[];
    /** @deprecated */
    readonly [_showGuide]: (eventName: string, preview?: boolean) => void;
    /** @deprecated */
    readonly [_showMessage]: (eventName: string, preview?: boolean) => void;
}
export declare type CommandBarSDK = CommandBarInternalSDK & CommandBarClientSDK;
