import { CommandBarClientSDK } from './CommandBarClientSDK';
import { CommandBarSDK } from './CommandBarSDK';
declare global {
    interface Window {
        CommandBar: CommandBarClientSDK;
        _CommandBarTmpQueueProcessing: CommandBarSDK | undefined;
    }
}
export { initProxySDK, getProxySDK } from './proxy';
/**
 * Returns the CommandBar global SDK.
 * The SDK object might be a proxy instead if `initSDK` has not yet been called.
 */
export declare function getSDK(): CommandBarSDK;
/**
 * Returns the CommandBar global, coerced to match the client interface.
 * The SDK object might be a proxy instead if `initSDK` has not yet been called.
 */
export declare function getClientSDK(): CommandBarClientSDK;
export declare const SDK_INTERNAL_PREFIX = "__commandbar_INTERNAL_";
