import { CommandBarProxyGlobal } from './CommandBarProxySDK';
/**
 * Returns the "pre-boot" proxied SDK object, creating it if necessary. This object might actually be a full SDK if it
 * was already upgraded using `initSDK`. In either case, the returned object will _not_ itself be a proxy.
 *
 * The proxy SDK will only be created if one of the following hold:
 * - window.CommandBar === undefined
 * - window.CommandBar[_disposed] === true
 * - window.CommandBar.disposed === true
 *
 * Otherwise the existing value of `window.CommandBar` is returned, whatever that may be.
 */
export declare function getProxySDK(): CommandBarProxyGlobal;
/** Replaces `window.CommandBar` with a new Proxy SDK object. */
export declare function initProxySDK(): void;
