import * as t from 'io-ts';
declare const OrganizationAdditionalV: t.TypeC<{
    launcher_type: t.UnionC<[t.LiteralC<"minimal">, t.LiteralC<"alternate">, t.LiteralC<"prompt">, t.LiteralC<"none">]>;
    launcher_position: t.UnionC<[t.LiteralC<"topRight">, t.LiteralC<"topLeft">, t.LiteralC<"bottomRight">, t.LiteralC<"bottomLeft">]>;
    show_launcher_recommendations: t.BooleanC;
    recommendations_type: t.UnionC<[t.LiteralC<"None">, t.LiteralC<"Custom">, t.LiteralC<"Algorithm">, t.UndefinedC]>;
    launcher_offset_x: t.NumberC;
    launcher_offset_y: t.NumberC;
    theme: t.ObjectC;
    icon: t.StringC;
    icon_suggest: t.StringC;
    icon_tutorial: t.StringC;
    icon_go_forward: t.StringC;
    resource_options: t.RecordC<t.StringC, t.PartialC<{
        name: t.StringC;
        search: t.BooleanC;
        label_field: t.StringC;
        useCategory: t.BooleanC;
        search_fields: t.ArrayC<t.UnionC<[t.StringC, t.TypeC<{
            key: t.StringC;
            label: t.StringC;
        }>]>>;
        auto_execute: t.BooleanC;
        unfurl: t.BooleanC;
        description_field: t.StringC;
        icon: t.StringC;
        icon_color: t.StringC;
        image_color: t.StringC;
        image: t.StringC;
        sort_key: t.NumberC;
        max_options_count: t.UnionC<[t.NumberC, t.NullC]>;
        sortFunction: t.AnyC;
        hasSearchFunction: t.BooleanC;
        default_command_id: t.UnionC<[t.NumberC, t.StringC, t.UndefinedC]>;
        render_as: t.UnionC<[t.LiteralC<"list">, t.LiteralC<"grid">]>;
        showResources: t.BooleanC;
        show_with_no_results: t.BooleanC;
        search_tab_enabled: t.BooleanC;
        search_tab_name: t.UnionC<[t.StringC, t.NullC]>;
        slash_filter_enabled: t.BooleanC;
        slash_filter_keyword: t.UnionC<[t.StringC, t.NullC]>;
        search_tab_instruction: t.UnionC<[t.StringC, t.NullC]>;
        setting_pin_to_bottom: t.BooleanC;
        track_recents: t.BooleanC;
        detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>]>>]>;
    }>>;
    should_show_onboarding: t.BooleanC;
    last_snippet_request: t.UnionC<[t.StringC, t.NullC]>;
    last_snippet_request_in_production: t.UnionC<[t.StringC, t.NullC]>;
    branding: t.StringC;
    custom_call_to_action: t.StringC;
    search_fuzzy_threshold: t.UnionC<[t.NumberC, t.NullC]>;
    show_skin_editor: t.BooleanC;
    allow_event_handlers: t.BooleanC;
    in_bar_feedback: t.BooleanC;
    summon_hotkey_override: t.UnionC<[t.StringC, t.NullC]>;
    end_user_hotkeys: t.UnionC<[t.UndefinedC, t.BooleanC]>;
    force_end_user_identity_verification: t.BooleanC;
    end_user_shortcuts_enabled: t.BooleanC;
    end_user_recents_enabled: t.BooleanC;
    releases_available: t.BooleanC;
    releases_enabled: t.BooleanC;
    fallback_commands: t.ArrayC<t.NumberC>;
    tab_direction: t.UnionC<[t.LiteralC<"horizontal">, t.LiteralC<"vertical">]>;
    recommended_tab_enabled: t.BooleanC;
    recents_tab_enabled: t.BooleanC;
    recommended_tab_instruction: t.StringC;
    recents_tab_instruction: t.StringC;
    hotload_help_docs: t.BooleanC;
    slash_filters_enabled: t.BooleanC;
    recents_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    recommended_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    show_suggested_synonyms: t.BooleanC;
    has_hotloaded_help_docs: t.BooleanC;
}>;
export declare const defaults: t.TypeOf<typeof OrganizationAdditionalV>;
export declare const OrganizationV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    id: t.UnionC<[t.NumberC, t.StringC]>;
    name: t.StringC;
    created: t.StringC;
}>, t.PartialC<{}>]>, t.TypeC<{
    launcher_type: t.UnionC<[t.LiteralC<"minimal">, t.LiteralC<"alternate">, t.LiteralC<"prompt">, t.LiteralC<"none">]>;
    launcher_position: t.UnionC<[t.LiteralC<"topRight">, t.LiteralC<"topLeft">, t.LiteralC<"bottomRight">, t.LiteralC<"bottomLeft">]>;
    show_launcher_recommendations: t.BooleanC;
    recommendations_type: t.UnionC<[t.LiteralC<"None">, t.LiteralC<"Custom">, t.LiteralC<"Algorithm">, t.UndefinedC]>;
    launcher_offset_x: t.NumberC;
    launcher_offset_y: t.NumberC;
    theme: t.ObjectC;
    icon: t.StringC;
    icon_suggest: t.StringC;
    icon_tutorial: t.StringC;
    icon_go_forward: t.StringC;
    resource_options: t.RecordC<t.StringC, t.PartialC<{
        name: t.StringC;
        search: t.BooleanC;
        label_field: t.StringC;
        useCategory: t.BooleanC;
        search_fields: t.ArrayC<t.UnionC<[t.StringC, t.TypeC<{
            key: t.StringC;
            label: t.StringC;
        }>]>>;
        auto_execute: t.BooleanC;
        unfurl: t.BooleanC;
        description_field: t.StringC;
        icon: t.StringC;
        icon_color: t.StringC;
        image_color: t.StringC;
        image: t.StringC;
        sort_key: t.NumberC;
        max_options_count: t.UnionC<[t.NumberC, t.NullC]>;
        sortFunction: t.AnyC;
        hasSearchFunction: t.BooleanC;
        default_command_id: t.UnionC<[t.NumberC, t.StringC, t.UndefinedC]>;
        render_as: t.UnionC<[t.LiteralC<"list">, t.LiteralC<"grid">]>;
        showResources: t.BooleanC;
        show_with_no_results: t.BooleanC;
        search_tab_enabled: t.BooleanC;
        search_tab_name: t.UnionC<[t.StringC, t.NullC]>;
        slash_filter_enabled: t.BooleanC;
        slash_filter_keyword: t.UnionC<[t.StringC, t.NullC]>;
        search_tab_instruction: t.UnionC<[t.StringC, t.NullC]>;
        setting_pin_to_bottom: t.BooleanC;
        track_recents: t.BooleanC;
        detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>]>>]>;
    }>>;
    should_show_onboarding: t.BooleanC;
    last_snippet_request: t.UnionC<[t.StringC, t.NullC]>;
    last_snippet_request_in_production: t.UnionC<[t.StringC, t.NullC]>;
    branding: t.StringC;
    custom_call_to_action: t.StringC;
    search_fuzzy_threshold: t.UnionC<[t.NumberC, t.NullC]>;
    show_skin_editor: t.BooleanC;
    allow_event_handlers: t.BooleanC;
    in_bar_feedback: t.BooleanC;
    summon_hotkey_override: t.UnionC<[t.StringC, t.NullC]>;
    end_user_hotkeys: t.UnionC<[t.UndefinedC, t.BooleanC]>;
    force_end_user_identity_verification: t.BooleanC;
    end_user_shortcuts_enabled: t.BooleanC;
    end_user_recents_enabled: t.BooleanC;
    releases_available: t.BooleanC;
    releases_enabled: t.BooleanC;
    fallback_commands: t.ArrayC<t.NumberC>;
    tab_direction: t.UnionC<[t.LiteralC<"horizontal">, t.LiteralC<"vertical">]>;
    recommended_tab_enabled: t.BooleanC;
    recents_tab_enabled: t.BooleanC;
    recommended_tab_instruction: t.StringC;
    recents_tab_instruction: t.StringC;
    hotload_help_docs: t.BooleanC;
    slash_filters_enabled: t.BooleanC;
    recents_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    recommended_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    show_suggested_synonyms: t.BooleanC;
    has_hotloaded_help_docs: t.BooleanC;
}>]>;
export declare type IOrganizationType = t.TypeOf<typeof OrganizationV> & unknown;
export declare const unknownOrganization: IOrganizationType;
export {};
