import * as t from 'io-ts';
export declare const SearchFieldConfigV: t.TypeC<{
    key: t.StringC;
    label: t.StringC;
}>;
export declare const ResourceSettingsV: t.PartialC<{
    name: t.StringC;
    search: t.BooleanC;
    label_field: t.StringC;
    useCategory: t.BooleanC;
    search_fields: t.ArrayC<t.UnionC<[t.StringC, t.TypeC<{
        key: t.StringC;
        label: t.StringC;
    }>]>>;
    auto_execute: t.BooleanC;
    unfurl: t.BooleanC;
    description_field: t.StringC;
    icon: t.StringC;
    icon_color: t.StringC;
    image_color: t.StringC;
    image: t.StringC;
    sort_key: t.NumberC;
    max_options_count: t.UnionC<[t.NumberC, t.NullC]>;
    sortFunction: t.AnyC;
    hasSearchFunction: t.BooleanC;
    default_command_id: t.UnionC<[t.NumberC, t.StringC, t.UndefinedC]>;
    render_as: t.UnionC<[t.LiteralC<"list">, t.LiteralC<"grid">]>;
    showResources: t.BooleanC;
    show_with_no_results: t.BooleanC;
    search_tab_enabled: t.BooleanC;
    search_tab_name: t.UnionC<[t.StringC, t.NullC]>;
    slash_filter_enabled: t.BooleanC;
    slash_filter_keyword: t.UnionC<[t.StringC, t.NullC]>;
    search_tab_instruction: t.UnionC<[t.StringC, t.NullC]>;
    setting_pin_to_bottom: t.BooleanC;
    track_recents: t.BooleanC;
    detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>]>>]>;
}>;
export declare const ResourceSettingsByContextKeyV: t.RecordC<t.StringC, t.PartialC<{
    name: t.StringC;
    search: t.BooleanC;
    label_field: t.StringC;
    useCategory: t.BooleanC;
    search_fields: t.ArrayC<t.UnionC<[t.StringC, t.TypeC<{
        key: t.StringC;
        label: t.StringC;
    }>]>>;
    auto_execute: t.BooleanC;
    unfurl: t.BooleanC;
    description_field: t.StringC;
    icon: t.StringC;
    icon_color: t.StringC;
    image_color: t.StringC;
    image: t.StringC;
    sort_key: t.NumberC;
    max_options_count: t.UnionC<[t.NumberC, t.NullC]>;
    sortFunction: t.AnyC;
    hasSearchFunction: t.BooleanC;
    default_command_id: t.UnionC<[t.NumberC, t.StringC, t.UndefinedC]>;
    render_as: t.UnionC<[t.LiteralC<"list">, t.LiteralC<"grid">]>;
    showResources: t.BooleanC;
    show_with_no_results: t.BooleanC;
    search_tab_enabled: t.BooleanC;
    search_tab_name: t.UnionC<[t.StringC, t.NullC]>;
    slash_filter_enabled: t.BooleanC;
    slash_filter_keyword: t.UnionC<[t.StringC, t.NullC]>;
    search_tab_instruction: t.UnionC<[t.StringC, t.NullC]>;
    setting_pin_to_bottom: t.BooleanC;
    track_recents: t.BooleanC;
    detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>]>>]>;
}>>;
