import * as t from 'io-ts';
export declare const ChecklistItemV: t.IntersectionC<[t.TypeC<{
    skippable: t.BooleanC;
}>, t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    title: t.StringC;
    goal: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"command_executed">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"page_visited">;
        value: t.StringC;
    }>, t.TypeC<{
        type: t.LiteralC<"element_clicked">;
        value: t.StringC;
    }>, t.TypeC<{
        type: t.LiteralC<"conditions_met">;
        expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    }>, t.TypeC<{
        type: t.LiteralC<"cta_clicked">;
    }>, t.TypeC<{
        type: t.LiteralC<"event_tracked">;
        event: t.StringC;
    }>]>;
    action: t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.TypeC<{
        type: t.LiteralC<"execute_command">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"nudge">;
        value: t.NumberC;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"open_bar">;
    }>, t.PartialC<{
        value: t.StringC;
        categoryFilter: t.NumberC;
    }>]>]>;
    celebrate: t.BooleanC;
}>, t.PartialC<{
    description: t.StringC;
    cta: t.StringC;
    celebration: t.UnionC<[t.LiteralC<"confetti">, t.LiteralC<"coin">]>;
}>]>]>;
export declare const ChecklistBaseV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    title: t.StringC;
    show_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    trigger: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"when_conditions_pass">;
    }>, t.TypeC<{
        type: t.LiteralC<"on_command_execution">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_event">;
        meta: t.TypeC<{
            event: t.StringC;
        }>;
    }>]>;
    items: t.ArrayC<t.IntersectionC<[t.TypeC<{
        skippable: t.BooleanC;
    }>, t.IntersectionC<[t.TypeC<{
        id: t.NumberC;
        title: t.StringC;
        goal: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"command_executed">;
            meta: t.TypeC<{
                command: t.StringC;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"page_visited">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.LiteralC<"element_clicked">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.LiteralC<"conditions_met">;
            expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
        }>, t.TypeC<{
            type: t.LiteralC<"cta_clicked">;
        }>, t.TypeC<{
            type: t.LiteralC<"event_tracked">;
            event: t.StringC;
        }>]>;
        action: t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.TypeC<{
                command: t.StringC;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>]>;
        celebrate: t.BooleanC;
    }>, t.PartialC<{
        description: t.StringC;
        cta: t.StringC;
        celebration: t.UnionC<[t.LiteralC<"confetti">, t.LiteralC<"coin">]>;
    }>]>]>>;
}>, t.PartialC<{
    description: t.StringC;
    is_live: t.BooleanC;
}>]>;
export declare const ChecklistV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    title: t.StringC;
    show_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    trigger: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"when_conditions_pass">;
    }>, t.TypeC<{
        type: t.LiteralC<"on_command_execution">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_event">;
        meta: t.TypeC<{
            event: t.StringC;
        }>;
    }>]>;
    items: t.ArrayC<t.IntersectionC<[t.TypeC<{
        skippable: t.BooleanC;
    }>, t.IntersectionC<[t.TypeC<{
        id: t.NumberC;
        title: t.StringC;
        goal: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"command_executed">;
            meta: t.TypeC<{
                command: t.StringC;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"page_visited">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.LiteralC<"element_clicked">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.LiteralC<"conditions_met">;
            expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
        }>, t.TypeC<{
            type: t.LiteralC<"cta_clicked">;
        }>, t.TypeC<{
            type: t.LiteralC<"event_tracked">;
            event: t.StringC;
        }>]>;
        action: t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.TypeC<{
                command: t.StringC;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>]>;
        celebrate: t.BooleanC;
    }>, t.PartialC<{
        description: t.StringC;
        cta: t.StringC;
        celebration: t.UnionC<[t.LiteralC<"confetti">, t.LiteralC<"coin">]>;
    }>]>]>>;
}>, t.PartialC<{
    description: t.StringC;
    is_live: t.BooleanC;
}>]>, t.TypeC<{
    celebrate: t.BooleanC;
}>]>;
export declare class Checklist {
    static decode: (data: any) => {
        id: number;
        title: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
            };
        };
        items: ({
            skippable: boolean;
        } & {
            id: number;
            title: string;
            goal: {
                type: "command_executed";
                meta: {
                    command: string;
                };
            } | {
                type: "page_visited";
                value: string;
            } | {
                type: "element_clicked";
                value: string;
            } | {
                type: "conditions_met";
                expression: import("./helpers/rules").RuleExpression;
            } | {
                type: "cta_clicked";
            } | {
                type: "event_tracked";
                event: string;
            };
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                };
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "click" | "clickByXpath" | "clickBySelector";
                value: string[];
            } | {
                type: "nudge";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            });
            celebrate: boolean;
        } & {
            description?: string | undefined;
            cta?: string | undefined;
            celebration?: "confetti" | "coin" | undefined;
        })[];
    } & {
        description?: string | undefined;
        is_live?: boolean | undefined;
    } & {
        celebrate: boolean;
    };
    static create: (object: {
        id: number;
        title: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
            };
        };
        items: ({
            skippable: boolean;
        } & {
            id: number;
            title: string;
            goal: {
                type: "command_executed";
                meta: {
                    command: string;
                };
            } | {
                type: "page_visited";
                value: string;
            } | {
                type: "element_clicked";
                value: string;
            } | {
                type: "conditions_met";
                expression: import("./helpers/rules").RuleExpression;
            } | {
                type: "cta_clicked";
            } | {
                type: "event_tracked";
                event: string;
            };
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                };
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "click" | "clickByXpath" | "clickBySelector";
                value: string[];
            } | {
                type: "nudge";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            });
            celebrate: boolean;
        } & {
            description?: string | undefined;
            cta?: string | undefined;
            celebration?: "confetti" | "coin" | undefined;
        })[];
    } & {
        description?: string | undefined;
        is_live?: boolean | undefined;
    } & {
        celebrate: boolean;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        title: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
            };
        };
        items: ({
            skippable: boolean;
        } & {
            id: number;
            title: string;
            goal: {
                type: "command_executed";
                meta: {
                    command: string;
                };
            } | {
                type: "page_visited";
                value: string;
            } | {
                type: "element_clicked";
                value: string;
            } | {
                type: "conditions_met";
                expression: import("./helpers/rules").RuleExpression;
            } | {
                type: "cta_clicked";
            } | {
                type: "event_tracked";
                event: string;
            };
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                };
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "click" | "clickByXpath" | "clickBySelector";
                value: string[];
            } | {
                type: "nudge";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            });
            celebrate: boolean;
        } & {
            description?: string | undefined;
            cta?: string | undefined;
            celebration?: "confetti" | "coin" | undefined;
        })[];
    } & {
        description?: string | undefined;
        is_live?: boolean | undefined;
    } & {
        celebrate: boolean;
    }>;
    static update: (object: {
        id: number;
        title: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
            };
        };
        items: ({
            skippable: boolean;
        } & {
            id: number;
            title: string;
            goal: {
                type: "command_executed";
                meta: {
                    command: string;
                };
            } | {
                type: "page_visited";
                value: string;
            } | {
                type: "element_clicked";
                value: string;
            } | {
                type: "conditions_met";
                expression: import("./helpers/rules").RuleExpression;
            } | {
                type: "cta_clicked";
            } | {
                type: "event_tracked";
                event: string;
            };
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                };
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "click" | "clickByXpath" | "clickBySelector";
                value: string[];
            } | {
                type: "nudge";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            });
            celebrate: boolean;
        } & {
            description?: string | undefined;
            cta?: string | undefined;
            celebration?: "confetti" | "coin" | undefined;
        })[];
    } & {
        description?: string | undefined;
        is_live?: boolean | undefined;
    } & {
        celebrate: boolean;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        title: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
            };
        };
        items: ({
            skippable: boolean;
        } & {
            id: number;
            title: string;
            goal: {
                type: "command_executed";
                meta: {
                    command: string;
                };
            } | {
                type: "page_visited";
                value: string;
            } | {
                type: "element_clicked";
                value: string;
            } | {
                type: "conditions_met";
                expression: import("./helpers/rules").RuleExpression;
            } | {
                type: "cta_clicked";
            } | {
                type: "event_tracked";
                event: string;
            };
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                };
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "click" | "clickByXpath" | "clickBySelector";
                value: string[];
            } | {
                type: "nudge";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            });
            celebrate: boolean;
        } & {
            description?: string | undefined;
            cta?: string | undefined;
            celebration?: "confetti" | "coin" | undefined;
        })[];
    } & {
        description?: string | undefined;
        is_live?: boolean | undefined;
    } & {
        celebrate: boolean;
    }>;
    static delete: (id: string | number, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
    static list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
        id: number;
        title: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
            };
        };
        items: ({
            skippable: boolean;
        } & {
            id: number;
            title: string;
            goal: {
                type: "command_executed";
                meta: {
                    command: string;
                };
            } | {
                type: "page_visited";
                value: string;
            } | {
                type: "element_clicked";
                value: string;
            } | {
                type: "conditions_met";
                expression: import("./helpers/rules").RuleExpression;
            } | {
                type: "cta_clicked";
            } | {
                type: "event_tracked";
                event: string;
            };
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                };
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "click" | "clickByXpath" | "clickBySelector";
                value: string[];
            } | {
                type: "nudge";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            });
            celebrate: boolean;
        } & {
            description?: string | undefined;
            cta?: string | undefined;
            celebration?: "confetti" | "coin" | undefined;
        })[];
    } & {
        description?: string | undefined;
        is_live?: boolean | undefined;
    } & {
        celebrate: boolean;
    })[]>;
    static read: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        id: number;
        title: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
            };
        };
        items: ({
            skippable: boolean;
        } & {
            id: number;
            title: string;
            goal: {
                type: "command_executed";
                meta: {
                    command: string;
                };
            } | {
                type: "page_visited";
                value: string;
            } | {
                type: "element_clicked";
                value: string;
            } | {
                type: "conditions_met";
                expression: import("./helpers/rules").RuleExpression;
            } | {
                type: "cta_clicked";
            } | {
                type: "event_tracked";
                event: string;
            };
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                };
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "click" | "clickByXpath" | "clickBySelector";
                value: string[];
            } | {
                type: "nudge";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            });
            celebrate: boolean;
        } & {
            description?: string | undefined;
            cta?: string | undefined;
            celebration?: "confetti" | "coin" | undefined;
        })[];
    } & {
        description?: string | undefined;
        is_live?: boolean | undefined;
    } & {
        celebrate: boolean;
    }>;
}
