/*******************************************************************************/
import * as t from 'io-ts';
import { GenericBatchRequest } from './generics';
export declare const CommandCategoryV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.UnionC<[t.NumberC, t.StringC]>;
    name: t.StringC;
}>, t.PartialC<{}>]>, t.TypeC<{
    sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    icon: t.UnionC<[t.StringC, t.NullC]>;
    icon_color: t.UnionC<[t.StringC, t.NullC]>;
    image_color: t.UnionC<[t.StringC, t.NullC]>;
    image: t.UnionC<[t.StringC, t.NullC]>;
    render_as: t.UnionC<[t.LiteralC<"list">, t.LiteralC<"grid">]>;
    setting_hide_before_search: t.BooleanC;
    setting_max_options_count: t.UnionC<[t.NumberC, t.NullC]>;
    setting_pin_to_bottom: t.BooleanC;
    search_tab_enabled: t.BooleanC;
    search_tab_name: t.StringC;
    slash_filter_enabled: t.BooleanC;
    slash_filter_keyword: t.UnionC<[t.StringC, t.NullC]>;
    search_tab_instruction: t.StringC;
    track_recents: t.BooleanC;
}>, t.PartialC<{
    contains_hotloaded_commands: t.BooleanC;
}>]>;
export declare const BatchEditorCategoryResponseV: t.TypeC<{
    batch: t.ArrayC<t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        id: t.NumberC;
        organization: t.UnionC<[t.NumberC, t.StringC]>;
        name: t.StringC;
    }>, t.PartialC<{}>]>, t.TypeC<{
        sort_key: t.UnionC<[t.NumberC, t.NullC]>;
        icon: t.UnionC<[t.StringC, t.NullC]>;
        icon_color: t.UnionC<[t.StringC, t.NullC]>;
        image_color: t.UnionC<[t.StringC, t.NullC]>;
        image: t.UnionC<[t.StringC, t.NullC]>;
        render_as: t.UnionC<[t.LiteralC<"list">, t.LiteralC<"grid">]>;
        setting_hide_before_search: t.BooleanC;
        setting_max_options_count: t.UnionC<[t.NumberC, t.NullC]>;
        setting_pin_to_bottom: t.BooleanC;
        search_tab_enabled: t.BooleanC;
        search_tab_name: t.StringC;
        slash_filter_enabled: t.BooleanC;
        slash_filter_keyword: t.UnionC<[t.StringC, t.NullC]>;
        search_tab_instruction: t.StringC;
        track_recents: t.BooleanC;
    }>, t.PartialC<{
        contains_hotloaded_commands: t.BooleanC;
    }>]>>;
}>;
export declare class CommandCategory {
    static create: (object: {
        id: number;
        organization: string | number;
        name: string;
    } & {} & {
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        render_as: "grid" | "list";
        setting_hide_before_search: boolean;
        setting_max_options_count: number | null;
        setting_pin_to_bottom: boolean;
        search_tab_enabled: boolean;
        search_tab_name: string;
        slash_filter_enabled: boolean;
        slash_filter_keyword: string | null;
        search_tab_instruction: string;
        track_recents: boolean;
    } & {
        contains_hotloaded_commands?: boolean | undefined;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string | number;
        name: string;
    } & {} & {
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        render_as: "grid" | "list";
        setting_hide_before_search: boolean;
        setting_max_options_count: number | null;
        setting_pin_to_bottom: boolean;
        search_tab_enabled: boolean;
        search_tab_name: string;
        slash_filter_enabled: boolean;
        slash_filter_keyword: string | null;
        search_tab_instruction: string;
        track_recents: boolean;
    } & {
        contains_hotloaded_commands?: boolean | undefined;
    }>;
    static update: (object: {
        id: number;
        organization: string | number;
        name: string;
    } & {} & {
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        render_as: "grid" | "list";
        setting_hide_before_search: boolean;
        setting_max_options_count: number | null;
        setting_pin_to_bottom: boolean;
        search_tab_enabled: boolean;
        search_tab_name: string;
        slash_filter_enabled: boolean;
        slash_filter_keyword: string | null;
        search_tab_instruction: string;
        track_recents: boolean;
    } & {
        contains_hotloaded_commands?: boolean | undefined;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string | number;
        name: string;
    } & {} & {
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        render_as: "grid" | "list";
        setting_hide_before_search: boolean;
        setting_max_options_count: number | null;
        setting_pin_to_bottom: boolean;
        search_tab_enabled: boolean;
        search_tab_name: string;
        slash_filter_enabled: boolean;
        slash_filter_keyword: string | null;
        search_tab_instruction: string;
        track_recents: boolean;
    } & {
        contains_hotloaded_commands?: boolean | undefined;
    }>;
    static delete: (id: string | number, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
    static decode: (data: any) => {
        id: number;
        organization: string | number;
        name: string;
    } & {} & {
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        render_as: "grid" | "list";
        setting_hide_before_search: boolean;
        setting_max_options_count: number | null;
        setting_pin_to_bottom: boolean;
        search_tab_enabled: boolean;
        search_tab_name: string;
        slash_filter_enabled: boolean;
        slash_filter_keyword: string | null;
        search_tab_instruction: string;
        track_recents: boolean;
    } & {
        contains_hotloaded_commands?: boolean | undefined;
    };
    static batch: (request: t.TypeOf<typeof GenericBatchRequest>) => Promise<{
        batch: ({
            id: number;
            organization: string | number;
            name: string;
        } & {} & {
            sort_key: number | null;
            icon: string | null;
            icon_color: string | null;
            image_color: string | null;
            image: string | null;
            render_as: "grid" | "list";
            setting_hide_before_search: boolean;
            setting_max_options_count: number | null;
            setting_pin_to_bottom: boolean;
            search_tab_enabled: boolean;
            search_tab_name: string;
            slash_filter_enabled: boolean;
            slash_filter_keyword: string | null;
            search_tab_instruction: string;
            track_recents: boolean;
        } & {
            contains_hotloaded_commands?: boolean | undefined;
        })[];
    }>;
}
