import * as t from 'io-ts';
declare function decodeToPromise<T, O, I>(validator: t.Type<T, O, I>, input: I): Promise<T>;
declare function decodeThrowing<T, O, I>(validator: t.Type<T, O, I>, input: I): T;
declare const GenericObject: t.TypeC<{
    id: t.UnionC<[t.NumberC, t.StringC]>;
}>;
export declare type GenericObjectType = t.TypeOf<typeof GenericObject>;
export declare const GenericBatchRequest: t.TypeC<{
    batch: t.ArrayC<t.UnknownC>;
    note: t.StringC;
}>;
declare function createObject<T, Q, O, I>(output: t.Type<T, O, I> & t.HasProps, input: t.Type<Q, O, I> & t.HasProps, url: string, params?: Record<string, string>): (object: Q, onSuccess?: () => void, onError?: (err: string) => void) => Promise<T>;
declare function readObject<T, O, I>(arg: t.Type<T, O, I> & t.HasProps, url: string): (arg0: string, params?: Record<string, string>, callbacks?: {
    onSuccess?: () => void;
    onError?: (err: string) => void;
}) => Promise<T>;
declare function listObject<T, O, I>(arg: t.Type<T, O, I> & t.HasProps, obj: string): (onSuccess?: () => void, onError?: (err: string) => void) => Promise<T[]>;
declare function updateObject<T, O, I, Q extends GenericObjectType>(output: t.Type<T, O, I> & t.HasProps, input: t.Type<Q, O, I> & t.HasProps, url: string, params?: Record<string, string>): (object: Q, onSuccess?: () => void, onError?: (err: string) => void) => Promise<T>;
declare function deleteObject<T, O, I>(arg: t.Type<T, O, I> & t.HasProps, url: string, params?: Record<string, string>): (id: number | string, onSuccess?: () => void, onError?: (err: string) => void) => Promise<void>;
declare function readObjectDetail<T, O, I>(arg: t.Type<T, O, I> & t.HasProps, url: string, detail: string): (arg0: string, urlArgs?: {
    [arg: string]: string;
}, onSuccess?: () => void, onError?: (err: string) => void) => Promise<T>;
declare function updateObjectDetail<T, O, I, J, K, Q extends GenericObjectType>(output: t.Type<T, O, I> & t.HasProps, input: t.Type<Q, K, J> & t.HasProps, url: string, detail: string): (object: Q, urlArgs?: {
    [arg: string]: string;
}, onSuccess?: () => void, onError?: (err: string) => void) => Promise<T>;
declare function createObjectDetail<T, O, I, J, K, Q extends GenericObjectType>(output: t.Type<T, O, I> & t.HasProps, input: t.Type<Q, K, J> & t.HasProps, url: string, detail: string): (object: Q, onSuccess?: () => void, onError?: (err: string) => void, urlArgs?: {
    [arg: string]: string;
}) => Promise<T>;
declare function loadIDList(ids: number[], klass: any, method?: string, urlArgs?: {
    [arg: string]: string;
}): Promise<any[]>;
declare function read<T, O, I>(output: t.Type<T, O, I> & t.HasProps, url: string): (params?: Record<string, string>, callbacks?: {
    onSuccess?: () => void;
    onError?: (err: string) => void;
}) => Promise<T>;
declare function update<T, O, I, Q>(output: t.Type<T, O, I> & t.HasProps, input: t.Type<Q, O, I> & t.HasProps, url: string): (object: Q, params?: Record<string, string>, callbacks?: {
    onSuccess?: () => void;
    onError?: (err: string) => void;
}) => Promise<T>;
export { createObject, createObjectDetail, read, readObject, listObject, update, updateObject, deleteObject, GenericObject, readObjectDetail, updateObjectDetail, loadIDList, decodeToPromise, decodeThrowing, };
