import * as t from 'io-ts';
export declare const AdminAction: t.TypeC<{
    type: t.LiteralC<"admin">;
    value: t.StringC;
}>;
export declare const CallbackAction: t.TypeC<{
    type: t.LiteralC<"callback">;
    value: t.StringC;
}>;
export declare const OpenBarAction: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"open_bar">;
}>, t.PartialC<{
    value: t.StringC;
    categoryFilter: t.NumberC;
}>]>;
export declare const LinkAction: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"link">;
    value: t.StringC;
}>, t.PartialC<{
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>;
export declare const ClickAction: t.TypeC<{
    type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
    value: t.ArrayC<t.StringC>;
}>;
export declare const BuiltInAction: t.TypeC<{
    type: t.LiteralC<"builtin">;
    value: t.StringC;
}>;
export declare const WebhookAction: t.TypeC<{
    type: t.LiteralC<"webhook">;
    value: t.StringC;
}>;
export declare const AppcuesAction: t.TypeC<{
    type: t.LiteralC<"appcues">;
    value: t.StringC;
}>;
export declare const ScriptAction: t.TypeC<{
    type: t.LiteralC<"script">;
    value: t.StringC;
}>;
export declare const VideoAction: t.TypeC<{
    type: t.LiteralC<"video">;
    value: t.StringC;
}>;
export declare const HelpDocAction: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"helpdoc">;
    value: t.StringC;
}>, t.PartialC<{
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_explorer">, t.UndefinedC]>;
}>]>;
export declare const CommandAction: t.TypeC<{
    type: t.LiteralC<"execute_command">;
    meta: t.TypeC<{
        command: t.StringC;
    }>;
}>;
export declare const NudgeAction: t.TypeC<{
    type: t.LiteralC<"nudge">;
    value: t.NumberC;
}>;
export declare const RequestV: t.IntersectionC<[t.TypeC<{
    method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
    url: t.StringC;
}>, t.PartialC<{
    headers: t.UnknownRecordC;
    body: t.UnknownRecordC;
    onSend: t.StringC;
    onSuccess: t.StringC;
    onError: t.StringC;
}>]>;
export declare const RequestAction: t.TypeC<{
    type: t.LiteralC<"request">;
    value: t.IntersectionC<[t.TypeC<{
        method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
        url: t.StringC;
    }>, t.PartialC<{
        headers: t.UnknownRecordC;
        body: t.UnknownRecordC;
        onSend: t.StringC;
        onSuccess: t.StringC;
        onError: t.StringC;
    }>]>;
}>;
