/*******************************************************************************/
import * as t from 'io-ts';
/*******************************************************************************/
export declare const ConditionOperatorV: t.UnionC<[t.LiteralC<"==">, t.LiteralC<"!=">, t.LiteralC<"isTruthy">, t.LiteralC<"isFalsy">]>;
export declare const ConditionV: t.TypeC<{
    field: t.StringC;
    operator: t.UnionC<[t.LiteralC<"==">, t.LiteralC<"!=">, t.LiteralC<"isTruthy">, t.LiteralC<"isFalsy">]>;
    value: t.UnionC<[t.StringC, t.UndefinedC]>;
}>;
export declare const ContextArgumentV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"context">;
    value: t.StringC;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    show_in_record_action_list: t.BooleanC;
    show_in_default_list: t.BooleanC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>;
export declare const SetArgumentV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"set">;
    value: t.UnionC<[t.ArrayC<t.StringC>, t.ArrayC<t.NumberC>, t.ArrayC<t.UnknownRecordC>]>;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>;
export declare const DashboardV: t.IntersectionC<[t.TypeC<{
    source: t.StringC;
}>, t.PartialC<{
    title: t.StringC;
    description: t.StringC;
    url: t.StringC;
}>]>;
export declare const DashboardArgumentV: t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"video">, t.LiteralC<"html">]>;
    value: t.IntersectionC<[t.TypeC<{
        source: t.StringC;
    }>, t.PartialC<{
        title: t.StringC;
        description: t.StringC;
        url: t.StringC;
    }>]>;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    is_private: t.BooleanC;
    auto_choose: t.BooleanC;
}>]>;
export declare const DynamicArgumentV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"provided">;
    value: t.UnionC<[t.LiteralC<"text">, t.LiteralC<"time">]>;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    dateTimeArgumentTypeId: t.NumberC;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>;
export declare const DependentArgumentV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"dependent">;
    value: t.StringC;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>;
export declare const FunctionArgumentV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"function">;
    value: t.StringC;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>;
export declare const ArgumentTypeV: t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"context">;
    value: t.StringC;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    show_in_record_action_list: t.BooleanC;
    show_in_default_list: t.BooleanC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"set">;
    value: t.UnionC<[t.ArrayC<t.StringC>, t.ArrayC<t.NumberC>, t.ArrayC<t.UnknownRecordC>]>;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"provided">;
    value: t.UnionC<[t.LiteralC<"text">, t.LiteralC<"time">]>;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    dateTimeArgumentTypeId: t.NumberC;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"dependent">;
    value: t.StringC;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"function">;
    value: t.StringC;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"video">, t.LiteralC<"html">]>;
    value: t.IntersectionC<[t.TypeC<{
        source: t.StringC;
    }>, t.PartialC<{
        title: t.StringC;
        description: t.StringC;
        url: t.StringC;
    }>]>;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    is_private: t.BooleanC;
    auto_choose: t.BooleanC;
}>]>]>;
export declare const ArgumentMapV: t.RecordC<t.StringC, t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"context">;
    value: t.StringC;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    show_in_record_action_list: t.BooleanC;
    show_in_default_list: t.BooleanC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"set">;
    value: t.UnionC<[t.ArrayC<t.StringC>, t.ArrayC<t.NumberC>, t.ArrayC<t.UnknownRecordC>]>;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"provided">;
    value: t.UnionC<[t.LiteralC<"text">, t.LiteralC<"time">]>;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    dateTimeArgumentTypeId: t.NumberC;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"dependent">;
    value: t.StringC;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"function">;
    value: t.StringC;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"video">, t.LiteralC<"html">]>;
    value: t.IntersectionC<[t.TypeC<{
        source: t.StringC;
    }>, t.PartialC<{
        title: t.StringC;
        description: t.StringC;
        url: t.StringC;
    }>]>;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    is_private: t.BooleanC;
    auto_choose: t.BooleanC;
}>]>]>>;
export declare const StepArgumentTypeV: t.IntersectionC<[t.TypeC<{
    userDefinedName: t.StringC;
    userDefinedValue: t.StringC;
}>, t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"context">;
    value: t.StringC;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    show_in_record_action_list: t.BooleanC;
    show_in_default_list: t.BooleanC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"set">;
    value: t.UnionC<[t.ArrayC<t.StringC>, t.ArrayC<t.NumberC>, t.ArrayC<t.UnknownRecordC>]>;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"provided">;
    value: t.UnionC<[t.LiteralC<"text">, t.LiteralC<"time">]>;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    dateTimeArgumentTypeId: t.NumberC;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"dependent">;
    value: t.StringC;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"function">;
    value: t.StringC;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    auto_choose: t.BooleanC;
    is_private: t.BooleanC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"video">, t.LiteralC<"html">]>;
    value: t.IntersectionC<[t.TypeC<{
        source: t.StringC;
    }>, t.PartialC<{
        title: t.StringC;
        description: t.StringC;
        url: t.StringC;
    }>]>;
    order_key: t.NumberC;
}>, t.PartialC<{
    label: t.StringC;
    chosen: t.UnionC<[t.StringC, t.NumberC]>;
    selected: t.ArrayC<t.AnyC>;
    input_type: t.StringC;
    preselected_key: t.StringC;
    label_field: t.StringC;
    loaded: t.ArrayC<t.AnyC>;
    allow_create: t.BooleanC;
    allow_create_label: t.StringC;
    is_private: t.BooleanC;
    auto_choose: t.BooleanC;
}>]>]>]>;
