/*******************************************************************************/
import * as t from 'io-ts';
/*******************************************************************************/
export declare const TemplateOptionsV: t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>;
export declare const AdminTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"admin">;
    /*******************************************************************************/
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>;
export declare const CallbackTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"callback">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>;
export declare const LinkTemplateV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"link">;
    value: t.StringC;
}>, t.PartialC<{
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>;
export declare const ClickTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
    value: t.ArrayC<t.StringC>;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>;
export declare const BuiltInTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"builtin">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>;
export declare const WebhookTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"webhook">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>;
export declare const ScriptTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"script">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>;
export declare const RequestTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"request">;
    value: t.IntersectionC<[t.TypeC<{
        method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
        url: t.StringC;
    }>, t.PartialC<{
        headers: t.UnknownRecordC;
        body: t.UnknownRecordC;
        onSend: t.StringC;
        onSuccess: t.StringC;
        onError: t.StringC;
    }>]>;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>;
export declare const AppcuesTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"appcues">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>;
export declare const VideoTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"video">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>;
export declare const HelpDocTemplateV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"helpdoc">;
    value: t.StringC;
}>, t.PartialC<{
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_explorer">, t.UndefinedC]>;
}>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>;
export declare const TemplateV: t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"admin">;
    /*******************************************************************************/
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"callback">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"link">;
    value: t.StringC;
}>, t.PartialC<{
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
    value: t.ArrayC<t.StringC>;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"builtin">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"webhook">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"script">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"request">;
    value: t.IntersectionC<[t.TypeC<{
        method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
        url: t.StringC;
    }>, t.PartialC<{
        headers: t.UnknownRecordC;
        body: t.UnknownRecordC;
        onSend: t.StringC;
        onSuccess: t.StringC;
        onError: t.StringC;
    }>]>;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"appcues">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"video">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"helpdoc">;
    value: t.StringC;
}>, t.PartialC<{
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_explorer">, t.UndefinedC]>;
}>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>]>]>;
