import * as t from 'io-ts';
export declare const operators: readonly ["is", "isNot", "isTrue", "isFalse", "isTruthy", "isFalsy", "startsWith", "endsWith", "includes", "doesNotInclude", "matchesRegex", "isGreaterThan", "isLessThan", "isBefore", "isAfter", "isDefined", "isNotDefined", "classnameOnPage", "idOnPage", "selectorOnPage"];
declare const OperatorV: t.KeyofC<{
    includes: null;
    endsWith: null;
    startsWith: null;
    is: null;
    isNot: null;
    isTrue: null;
    isFalse: null;
    isTruthy: null;
    isFalsy: null;
    doesNotInclude: null;
    matchesRegex: null;
    isGreaterThan: null;
    isLessThan: null;
    isBefore: null;
    isAfter: null;
    isDefined: null;
    isNotDefined: null;
    classnameOnPage: null;
    idOnPage: null;
    selectorOnPage: null;
}>;
export declare const ConditionV: t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
    operator: t.KeyofC<{
        includes: null;
        endsWith: null;
        startsWith: null;
        is: null;
        isNot: null;
        isTrue: null;
        isFalse: null;
        isTruthy: null;
        isFalsy: null;
        doesNotInclude: null;
        matchesRegex: null;
        isGreaterThan: null;
        isLessThan: null;
        isBefore: null;
        isAfter: null;
        isDefined: null;
        isNotDefined: null;
        classnameOnPage: null;
        idOnPage: null;
        selectorOnPage: null;
    }>;
}>, t.PartialC<{
    field: t.StringC;
    value: t.StringC;
    reason: t.StringC;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>;
export declare const getConditions: (expr: RuleExpression) => ExpressionCondition[];
export declare const canonicalize: (expr: RuleExpression) => RuleExpression;
export declare function isCompoundExpression(expr: RuleExpression): expr is RuleExpressionAnd | RuleExpressionOr;
export declare type ExpressionCondition = t.TypeOf<typeof ConditionV> | t.TypeOf<typeof NamedRuleReferenceV>;
export declare type RuleExpression = RuleExpressionAnd | RuleExpressionOr | RuleExpressionLiteral | RuleExpressionCondition;
export declare type RuleExpressionAnd = {
    type: 'AND';
    exprs: RuleExpression[];
};
export declare type RuleExpressionOr = {
    type: 'OR';
    exprs: RuleExpression[];
};
export declare type RuleExpressionLiteral = {
    type: 'LITERAL';
    value: boolean;
};
export declare type RuleExpressionCondition = {
    type: 'CONDITION';
    condition: ExpressionCondition;
};
export declare const RuleExpressionAndV: t.Type<RuleExpressionAnd>;
export declare const RuleExpressionOrV: t.Type<RuleExpressionOr>;
export declare const RuleExpressionLiteralV: t.Type<RuleExpressionLiteral>;
export declare const RuleExpressionConditionV: t.Type<RuleExpressionCondition>;
export declare const RuleExpressionV: t.Type<RuleExpression>;
export declare const RuleExpressionTrue: t.TypeOf<typeof RuleExpressionLiteralV>;
export declare const RuleExpressionFalse: t.TypeOf<typeof RuleExpressionLiteralV>;
export declare const NamedRuleReferenceV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"named_rule">;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>, t.PartialC<{
    reason: t.StringC;
}>]>;
export declare const RecommendationRuleAlwaysV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"always">;
}>, t.PartialC<{
    operator: t.UnionC<[t.UndefinedC, t.NullC]>;
    field: t.UnionC<[t.UndefinedC, t.NullC]>;
    value: t.UnionC<[t.UndefinedC, t.NullC]>;
    reason: t.UnionC<[t.UndefinedC, t.NullC]>;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>;
export declare const AvailabilityRuleV: t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
    operator: t.KeyofC<{
        includes: null;
        endsWith: null;
        startsWith: null;
        is: null;
        isNot: null;
        isTrue: null;
        isFalse: null;
        isTruthy: null;
        isFalsy: null;
        doesNotInclude: null;
        matchesRegex: null;
        isGreaterThan: null;
        isLessThan: null;
        isBefore: null;
        isAfter: null;
        isDefined: null;
        isNotDefined: null;
        classnameOnPage: null;
        idOnPage: null;
        selectorOnPage: null;
    }>;
}>, t.PartialC<{
    field: t.StringC;
    value: t.StringC;
    reason: t.StringC;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>;
export declare const RecommendationRuleV: t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"always">;
}>, t.PartialC<{
    operator: t.UnionC<[t.UndefinedC, t.NullC]>;
    field: t.UnionC<[t.UndefinedC, t.NullC]>;
    value: t.UnionC<[t.UndefinedC, t.NullC]>;
    reason: t.UnionC<[t.UndefinedC, t.NullC]>;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
    operator: t.KeyofC<{
        includes: null;
        endsWith: null;
        startsWith: null;
        is: null;
        isNot: null;
        isTrue: null;
        isFalse: null;
        isTruthy: null;
        isFalsy: null;
        doesNotInclude: null;
        matchesRegex: null;
        isGreaterThan: null;
        isLessThan: null;
        isBefore: null;
        isAfter: null;
        isDefined: null;
        isNotDefined: null;
        classnameOnPage: null;
        idOnPage: null;
        selectorOnPage: null;
    }>;
}>, t.PartialC<{
    field: t.StringC;
    value: t.StringC;
    reason: t.StringC;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>]>;
export declare const EditorAvailabilityRuleV: t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
    operator: t.KeyofC<{
        includes: null;
        endsWith: null;
        startsWith: null;
        is: null;
        isNot: null;
        isTrue: null;
        isFalse: null;
        isTruthy: null;
        isFalsy: null;
        doesNotInclude: null;
        matchesRegex: null;
        isGreaterThan: null;
        isLessThan: null;
        isBefore: null;
        isAfter: null;
        isDefined: null;
        isNotDefined: null;
        classnameOnPage: null;
        idOnPage: null;
        selectorOnPage: null;
    }>;
}>, t.PartialC<{
    field: t.StringC;
    value: t.StringC;
    reason: t.StringC;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"named_rule">;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>;
export declare const EditorRecommendationRuleV: t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"always">;
}>, t.PartialC<{
    operator: t.UnionC<[t.UndefinedC, t.NullC]>;
    field: t.UnionC<[t.UndefinedC, t.NullC]>;
    value: t.UnionC<[t.UndefinedC, t.NullC]>;
    reason: t.UnionC<[t.UndefinedC, t.NullC]>;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
    operator: t.KeyofC<{
        includes: null;
        endsWith: null;
        startsWith: null;
        is: null;
        isNot: null;
        isTrue: null;
        isFalse: null;
        isTruthy: null;
        isFalsy: null;
        doesNotInclude: null;
        matchesRegex: null;
        isGreaterThan: null;
        isLessThan: null;
        isBefore: null;
        isAfter: null;
        isDefined: null;
        isNotDefined: null;
        classnameOnPage: null;
        idOnPage: null;
        selectorOnPage: null;
    }>;
}>, t.PartialC<{
    field: t.StringC;
    value: t.StringC;
    reason: t.StringC;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"named_rule">;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>;
export declare const NamedRuleV: t.TypeC<{
    id: t.UnionC<[t.NumberC, t.StringC]>;
    name: t.StringC;
    expression: t.Type<RuleExpression, RuleExpression, unknown>;
}>;
export declare type IRuleOperator = t.TypeOf<typeof OperatorV>;
export declare type IAvailabilityRule = t.TypeOf<typeof AvailabilityRuleV>;
export declare type IEditorAvailabilityRule = t.TypeOf<typeof EditorAvailabilityRuleV>;
export declare type IRecommendationRule = t.TypeOf<typeof RecommendationRuleV>;
export declare type IEditorRecommendationRule = t.TypeOf<typeof EditorRecommendationRuleV>;
export declare type ICondition = t.TypeOf<typeof ConditionV>;
export declare type IAvailabilityRuleType = IAvailabilityRule['type'];
export declare type IRecommendationRuleType = IRecommendationRule['type'];
export declare type IRule = IAvailabilityRule | IRecommendationRule;
export declare type IEditorRule = IEditorAvailabilityRule | IEditorRecommendationRule;
export declare type INamedRule = t.TypeOf<typeof NamedRuleV>;
export {};
