import * as t from 'io-ts';
export declare const NudgeContentMarkdownBlockV: t.TypeC<{
    type: t.LiteralC<"markdown">;
    meta: t.TypeC<{
        value: t.StringC;
    }>;
}>;
export declare const NudgeContentImageBlockV: t.TypeC<{
    type: t.LiteralC<"image">;
    meta: t.TypeC<{
        src: t.StringC;
        file_name: t.StringC;
        size: t.StringC;
    }>;
}>;
export declare const NudgeContentVideoBlockV: t.TypeC<{
    type: t.LiteralC<"video">;
    meta: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"url">;
        src: t.StringC;
    }>, t.TypeC<{
        type: t.LiteralC<"command">;
        command: t.StringC;
    }>]>;
}>;
export declare const NudgeContentHelpDocBlockV: t.TypeC<{
    type: t.LiteralC<"help_doc_command">;
    meta: t.TypeC<{
        command: t.StringC;
    }>;
}>;
export declare const NudgeContentButtonBlockV: t.TypeC<{
    type: t.LiteralC<"button">;
    meta: t.UnionC<[t.PartialC<{
        label: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.TypeC<{
                command: t.StringC;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>]>;
    }>, t.NullC]>;
}>;
export declare const NudgeContentBlockV: t.UnionC<[t.TypeC<{
    type: t.LiteralC<"markdown">;
    meta: t.TypeC<{
        value: t.StringC;
    }>;
}>, t.TypeC<{
    type: t.LiteralC<"image">;
    meta: t.TypeC<{
        src: t.StringC;
        file_name: t.StringC;
        size: t.StringC;
    }>;
}>, t.TypeC<{
    type: t.LiteralC<"video">;
    meta: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"url">;
        src: t.StringC;
    }>, t.TypeC<{
        type: t.LiteralC<"command">;
        command: t.StringC;
    }>]>;
}>, t.TypeC<{
    type: t.LiteralC<"help_doc_command">;
    meta: t.TypeC<{
        command: t.StringC;
    }>;
}>, t.TypeC<{
    type: t.LiteralC<"button">;
    meta: t.UnionC<[t.PartialC<{
        label: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.TypeC<{
                command: t.StringC;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>]>;
    }>, t.NullC]>;
}>]>;
export declare const NudgeStepV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    title: t.StringC;
    content: t.ArrayC<t.UnionC<[t.TypeC<{
        type: t.LiteralC<"markdown">;
        meta: t.TypeC<{
            value: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"image">;
        meta: t.TypeC<{
            src: t.StringC;
            file_name: t.StringC;
            size: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"video">;
        meta: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"url">;
            src: t.StringC;
        }>, t.TypeC<{
            type: t.LiteralC<"command">;
            command: t.StringC;
        }>]>;
    }>, t.TypeC<{
        type: t.LiteralC<"help_doc_command">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"button">;
        meta: t.UnionC<[t.PartialC<{
            label: t.StringC;
            action: t.UnionC<[t.TypeC<{
                type: t.LiteralC<"execute_command">;
                meta: t.TypeC<{
                    command: t.StringC;
                }>;
            }>, t.TypeC<{
                type: t.LiteralC<"no_action">;
            }>, t.TypeC<{
                type: t.LiteralC<"click">;
                value: t.StringC;
            }>, t.IntersectionC<[t.TypeC<{
                type: t.LiteralC<"link">;
                value: t.StringC;
            }>, t.PartialC<{
                operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
            }>]>]>;
        }>, t.NullC]>;
    }>]>>;
    is_live: t.BooleanC;
}>, t.TypeC<{
    form_factor: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"modal">;
    }>, t.TypeC<{
        type: t.LiteralC<"popover">;
        position: t.UnionC<[t.LiteralC<"top-left">, t.LiteralC<"top-right">, t.LiteralC<"bottom-right">, t.LiteralC<"bottom-left">, t.LiteralC<"center">]>;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"pin">;
        anchor: t.StringC;
    }>, t.PartialC<{
        is_open_by_default: t.BooleanC;
        offset: t.TypeC<{
            x: t.StringC;
            y: t.StringC;
        }>;
    }>]>]>;
}>]>;
export declare const NudgeV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    slug: t.StringC;
    id: t.UnionC<[t.NumberC, t.StringC]>;
    organization: t.StringC;
    show_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    trigger: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"when_conditions_pass">;
    }>, t.TypeC<{
        type: t.LiteralC<"on_command_execution">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_event">;
        meta: t.TypeC<{
            event: t.StringC;
        }>;
    }>]>;
    frequency_limit: t.UnionC<[t.LiteralC<"no_limit">, t.LiteralC<"once_per_session">, t.LiteralC<"once_per_user">, t.LiteralC<"until_interaction">]>;
    steps: t.ArrayC<t.IntersectionC<[t.TypeC<{
        id: t.NumberC;
        title: t.StringC;
        content: t.ArrayC<t.UnionC<[t.TypeC<{
            type: t.LiteralC<"markdown">;
            meta: t.TypeC<{
                value: t.StringC;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"image">;
            meta: t.TypeC<{
                src: t.StringC;
                file_name: t.StringC;
                size: t.StringC;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"video">;
            meta: t.UnionC<[t.TypeC<{
                type: t.LiteralC<"url">;
                src: t.StringC;
            }>, t.TypeC<{
                type: t.LiteralC<"command">;
                command: t.StringC;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"help_doc_command">;
            meta: t.TypeC<{
                command: t.StringC;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"button">;
            meta: t.UnionC<[t.PartialC<{
                label: t.StringC;
                action: t.UnionC<[t.TypeC<{
                    type: t.LiteralC<"execute_command">;
                    meta: t.TypeC<{
                        command: t.StringC;
                    }>;
                }>, t.TypeC<{
                    type: t.LiteralC<"no_action">;
                }>, t.TypeC<{
                    type: t.LiteralC<"click">;
                    value: t.StringC;
                }>, t.IntersectionC<[t.TypeC<{
                    type: t.LiteralC<"link">;
                    value: t.StringC;
                }>, t.PartialC<{
                    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
                }>]>]>;
            }>, t.NullC]>;
        }>]>>;
        is_live: t.BooleanC;
    }>, t.TypeC<{
        form_factor: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"modal">;
        }>, t.TypeC<{
            type: t.LiteralC<"popover">;
            position: t.UnionC<[t.LiteralC<"top-left">, t.LiteralC<"top-right">, t.LiteralC<"bottom-right">, t.LiteralC<"bottom-left">, t.LiteralC<"center">]>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"pin">;
            anchor: t.StringC;
        }>, t.PartialC<{
            is_open_by_default: t.BooleanC;
            offset: t.TypeC<{
                x: t.StringC;
                y: t.StringC;
            }>;
        }>]>]>;
    }>]>>;
    is_live: t.BooleanC;
}>, t.PartialC<{
    old_nudge_id: t.UnionC<[t.NumberC, t.NullC]>;
    archived: t.BooleanC;
}>]>, t.TypeC<{
    template_source: t.StringC;
}>]>;
export declare const OldNudgeBaseV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.StringC;
    slug: t.StringC;
    content: t.StringC;
    show_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    trigger: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"when_conditions_pass">;
    }>, t.TypeC<{
        type: t.LiteralC<"on_command_execution">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_event">;
        meta: t.TypeC<{
            event: t.StringC;
        }>;
    }>]>;
    on_select: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"no_action">;
    }>, t.TypeC<{
        type: t.LiteralC<"execute_command">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>]>;
    timeout_ms: t.UnionC<[t.NumberC, t.NullC]>;
    frequency_limit: t.UnionC<[t.LiteralC<"no_limit">, t.LiteralC<"once_per_session">, t.LiteralC<"once_per_user">, t.LiteralC<"until_interaction">]>;
}>, t.PartialC<{
    title: t.StringC;
    html: t.StringC;
    cta: t.StringC;
    is_live: t.BooleanC;
    media: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"image">;
        meta: t.TypeC<{
            src: t.StringC;
            file_name: t.StringC;
            size: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"help_doc_command">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.NullC]>;
    is_html_override: t.BooleanC;
    call_custom_handler: t.BooleanC;
}>]>;
export declare const OldNudgeAdditionalV: t.TypeC<{
    form_factor: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"modal">;
    }>, t.TypeC<{
        type: t.LiteralC<"popover">;
        position: t.UnionC<[t.LiteralC<"top-left">, t.LiteralC<"top-right">, t.LiteralC<"bottom-right">, t.LiteralC<"bottom-left">, t.LiteralC<"center">]>;
    }>, t.TypeC<{
        type: t.LiteralC<"pin">;
        anchor: t.StringC;
    }>]>;
    template_source: t.StringC;
}>;
export declare const OldNudgeV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.StringC;
    slug: t.StringC;
    content: t.StringC;
    show_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    trigger: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"when_conditions_pass">;
    }>, t.TypeC<{
        type: t.LiteralC<"on_command_execution">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_event">;
        meta: t.TypeC<{
            event: t.StringC;
        }>;
    }>]>;
    on_select: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"no_action">;
    }>, t.TypeC<{
        type: t.LiteralC<"execute_command">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>]>;
    timeout_ms: t.UnionC<[t.NumberC, t.NullC]>;
    frequency_limit: t.UnionC<[t.LiteralC<"no_limit">, t.LiteralC<"once_per_session">, t.LiteralC<"once_per_user">, t.LiteralC<"until_interaction">]>;
}>, t.PartialC<{
    title: t.StringC;
    html: t.StringC;
    cta: t.StringC;
    is_live: t.BooleanC;
    media: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"image">;
        meta: t.TypeC<{
            src: t.StringC;
            file_name: t.StringC;
            size: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"help_doc_command">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.NullC]>;
    is_html_override: t.BooleanC;
    call_custom_handler: t.BooleanC;
}>]>, t.TypeC<{
    form_factor: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"modal">;
    }>, t.TypeC<{
        type: t.LiteralC<"popover">;
        position: t.UnionC<[t.LiteralC<"top-left">, t.LiteralC<"top-right">, t.LiteralC<"bottom-right">, t.LiteralC<"bottom-left">, t.LiteralC<"center">]>;
    }>, t.TypeC<{
        type: t.LiteralC<"pin">;
        anchor: t.StringC;
    }>]>;
    template_source: t.StringC;
}>]>;
export declare class Nudge {
    static decode: (data: any) => {
        slug: string;
        id: string | number;
        organization: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
            };
        };
        frequency_limit: "no_limit" | "once_per_session" | "once_per_user" | "until_interaction";
        steps: ({
            id: number;
            title: string;
            content: ({
                type: "markdown";
                meta: {
                    value: string;
                };
            } | {
                type: "image";
                meta: {
                    src: string;
                    file_name: string;
                    size: string;
                };
            } | {
                type: "video";
                meta: {
                    type: "url";
                    src: string;
                } | {
                    type: "command";
                    command: string;
                };
            } | {
                type: "help_doc_command";
                meta: {
                    command: string;
                };
            } | {
                type: "button";
                meta: {
                    label?: string | undefined;
                    action?: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        };
                    } | {
                        type: "no_action";
                    } | {
                        type: "click";
                        value: string;
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | undefined;
                } | null;
            })[];
            is_live: boolean;
        } & {
            form_factor: {
                type: "modal";
            } | {
                type: "popover";
                position: "center" | "top-left" | "top-right" | "bottom-right" | "bottom-left";
            } | ({
                type: "pin";
                anchor: string;
            } & {
                is_open_by_default?: boolean | undefined;
                offset?: {
                    x: string;
                    y: string;
                } | undefined;
            });
        })[];
        is_live: boolean;
    } & {
        old_nudge_id?: number | null | undefined;
        archived?: boolean | undefined;
    } & {
        template_source: string;
    };
    static create: (object: {
        slug: string;
        id: string | number;
        organization: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
            };
        };
        frequency_limit: "no_limit" | "once_per_session" | "once_per_user" | "until_interaction";
        steps: ({
            id: number;
            title: string;
            content: ({
                type: "markdown";
                meta: {
                    value: string;
                };
            } | {
                type: "image";
                meta: {
                    src: string;
                    file_name: string;
                    size: string;
                };
            } | {
                type: "video";
                meta: {
                    type: "url";
                    src: string;
                } | {
                    type: "command";
                    command: string;
                };
            } | {
                type: "help_doc_command";
                meta: {
                    command: string;
                };
            } | {
                type: "button";
                meta: {
                    label?: string | undefined;
                    action?: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        };
                    } | {
                        type: "no_action";
                    } | {
                        type: "click";
                        value: string;
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | undefined;
                } | null;
            })[];
            is_live: boolean;
        } & {
            form_factor: {
                type: "modal";
            } | {
                type: "popover";
                position: "center" | "top-left" | "top-right" | "bottom-right" | "bottom-left";
            } | ({
                type: "pin";
                anchor: string;
            } & {
                is_open_by_default?: boolean | undefined;
                offset?: {
                    x: string;
                    y: string;
                } | undefined;
            });
        })[];
        is_live: boolean;
    } & {
        old_nudge_id?: number | null | undefined;
        archived?: boolean | undefined;
    } & {
        template_source: string;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        slug: string;
        id: string | number;
        organization: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
            };
        };
        frequency_limit: "no_limit" | "once_per_session" | "once_per_user" | "until_interaction";
        steps: ({
            id: number;
            title: string;
            content: ({
                type: "markdown";
                meta: {
                    value: string;
                };
            } | {
                type: "image";
                meta: {
                    src: string;
                    file_name: string;
                    size: string;
                };
            } | {
                type: "video";
                meta: {
                    type: "url";
                    src: string;
                } | {
                    type: "command";
                    command: string;
                };
            } | {
                type: "help_doc_command";
                meta: {
                    command: string;
                };
            } | {
                type: "button";
                meta: {
                    label?: string | undefined;
                    action?: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        };
                    } | {
                        type: "no_action";
                    } | {
                        type: "click";
                        value: string;
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | undefined;
                } | null;
            })[];
            is_live: boolean;
        } & {
            form_factor: {
                type: "modal";
            } | {
                type: "popover";
                position: "center" | "top-left" | "top-right" | "bottom-right" | "bottom-left";
            } | ({
                type: "pin";
                anchor: string;
            } & {
                is_open_by_default?: boolean | undefined;
                offset?: {
                    x: string;
                    y: string;
                } | undefined;
            });
        })[];
        is_live: boolean;
    } & {
        old_nudge_id?: number | null | undefined;
        archived?: boolean | undefined;
    } & {
        template_source: string;
    }>;
    static update: (object: {
        slug: string;
        id: string | number;
        organization: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
            };
        };
        frequency_limit: "no_limit" | "once_per_session" | "once_per_user" | "until_interaction";
        steps: ({
            id: number;
            title: string;
            content: ({
                type: "markdown";
                meta: {
                    value: string;
                };
            } | {
                type: "image";
                meta: {
                    src: string;
                    file_name: string;
                    size: string;
                };
            } | {
                type: "video";
                meta: {
                    type: "url";
                    src: string;
                } | {
                    type: "command";
                    command: string;
                };
            } | {
                type: "help_doc_command";
                meta: {
                    command: string;
                };
            } | {
                type: "button";
                meta: {
                    label?: string | undefined;
                    action?: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        };
                    } | {
                        type: "no_action";
                    } | {
                        type: "click";
                        value: string;
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | undefined;
                } | null;
            })[];
            is_live: boolean;
        } & {
            form_factor: {
                type: "modal";
            } | {
                type: "popover";
                position: "center" | "top-left" | "top-right" | "bottom-right" | "bottom-left";
            } | ({
                type: "pin";
                anchor: string;
            } & {
                is_open_by_default?: boolean | undefined;
                offset?: {
                    x: string;
                    y: string;
                } | undefined;
            });
        })[];
        is_live: boolean;
    } & {
        old_nudge_id?: number | null | undefined;
        archived?: boolean | undefined;
    } & {
        template_source: string;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        slug: string;
        id: string | number;
        organization: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
            };
        };
        frequency_limit: "no_limit" | "once_per_session" | "once_per_user" | "until_interaction";
        steps: ({
            id: number;
            title: string;
            content: ({
                type: "markdown";
                meta: {
                    value: string;
                };
            } | {
                type: "image";
                meta: {
                    src: string;
                    file_name: string;
                    size: string;
                };
            } | {
                type: "video";
                meta: {
                    type: "url";
                    src: string;
                } | {
                    type: "command";
                    command: string;
                };
            } | {
                type: "help_doc_command";
                meta: {
                    command: string;
                };
            } | {
                type: "button";
                meta: {
                    label?: string | undefined;
                    action?: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        };
                    } | {
                        type: "no_action";
                    } | {
                        type: "click";
                        value: string;
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | undefined;
                } | null;
            })[];
            is_live: boolean;
        } & {
            form_factor: {
                type: "modal";
            } | {
                type: "popover";
                position: "center" | "top-left" | "top-right" | "bottom-right" | "bottom-left";
            } | ({
                type: "pin";
                anchor: string;
            } & {
                is_open_by_default?: boolean | undefined;
                offset?: {
                    x: string;
                    y: string;
                } | undefined;
            });
        })[];
        is_live: boolean;
    } & {
        old_nudge_id?: number | null | undefined;
        archived?: boolean | undefined;
    } & {
        template_source: string;
    }>;
    static delete: (id: string | number, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
    static list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
        slug: string;
        id: string | number;
        organization: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
            };
        };
        frequency_limit: "no_limit" | "once_per_session" | "once_per_user" | "until_interaction";
        steps: ({
            id: number;
            title: string;
            content: ({
                type: "markdown";
                meta: {
                    value: string;
                };
            } | {
                type: "image";
                meta: {
                    src: string;
                    file_name: string;
                    size: string;
                };
            } | {
                type: "video";
                meta: {
                    type: "url";
                    src: string;
                } | {
                    type: "command";
                    command: string;
                };
            } | {
                type: "help_doc_command";
                meta: {
                    command: string;
                };
            } | {
                type: "button";
                meta: {
                    label?: string | undefined;
                    action?: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        };
                    } | {
                        type: "no_action";
                    } | {
                        type: "click";
                        value: string;
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | undefined;
                } | null;
            })[];
            is_live: boolean;
        } & {
            form_factor: {
                type: "modal";
            } | {
                type: "popover";
                position: "center" | "top-left" | "top-right" | "bottom-right" | "bottom-left";
            } | ({
                type: "pin";
                anchor: string;
            } & {
                is_open_by_default?: boolean | undefined;
                offset?: {
                    x: string;
                    y: string;
                } | undefined;
            });
        })[];
        is_live: boolean;
    } & {
        old_nudge_id?: number | null | undefined;
        archived?: boolean | undefined;
    } & {
        template_source: string;
    })[]>;
    static read: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        slug: string;
        id: string | number;
        organization: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
            };
        };
        frequency_limit: "no_limit" | "once_per_session" | "once_per_user" | "until_interaction";
        steps: ({
            id: number;
            title: string;
            content: ({
                type: "markdown";
                meta: {
                    value: string;
                };
            } | {
                type: "image";
                meta: {
                    src: string;
                    file_name: string;
                    size: string;
                };
            } | {
                type: "video";
                meta: {
                    type: "url";
                    src: string;
                } | {
                    type: "command";
                    command: string;
                };
            } | {
                type: "help_doc_command";
                meta: {
                    command: string;
                };
            } | {
                type: "button";
                meta: {
                    label?: string | undefined;
                    action?: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        };
                    } | {
                        type: "no_action";
                    } | {
                        type: "click";
                        value: string;
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | undefined;
                } | null;
            })[];
            is_live: boolean;
        } & {
            form_factor: {
                type: "modal";
            } | {
                type: "popover";
                position: "center" | "top-left" | "top-right" | "bottom-right" | "bottom-left";
            } | ({
                type: "pin";
                anchor: string;
            } & {
                is_open_by_default?: boolean | undefined;
                offset?: {
                    x: string;
                    y: string;
                } | undefined;
            });
        })[];
        is_live: boolean;
    } & {
        old_nudge_id?: number | null | undefined;
        archived?: boolean | undefined;
    } & {
        template_source: string;
    }>;
}
