import * as t from 'io-ts';
export { ResourceSettingsV, ResourceSettingsByContextKeyV } from './ResourceSettingsV';
export { OrganizationV } from './OrganizationV';
export declare const OrganizationStatusV: t.TypeC<{
    id: t.UnionC<[t.NumberC, t.StringC]>;
    uuid: t.StringC;
    errors_72h: t.NumberC;
    suggestions_72h: t.NumberC;
    executions_total: t.NumberC;
    users_total: t.NumberC;
}>;
export declare const KeyEventV: t.UnionC<[t.LiteralC<"Client-Error">, t.LiteralC<"Command execution">, t.LiteralC<"Command suggestion">, t.LiteralC<"Abandoned search">, t.LiteralC<"Search miss">]>;
export declare const InternalSettingsV: t.TypeC<{
    id: t.StringC;
    integrations: t.RecordC<t.StringC, t.RecordC<t.StringC, t.StringC>>;
}>;
export declare const OrganizationSettingsV: t.TypeC<{
    end_user_limit: t.NumberC;
    user_seat_limit: t.NumberC;
    analytics_dashboard_execution_limit: t.NumberC;
    analytics_dashboard_deadend_limit: t.NumberC;
    silent_mode: t.BooleanC;
    allow_event_handlers: t.BooleanC;
    event_attribute_block_list: t.ArrayC<t.StringC>;
    skins_limit: t.NumberC;
    skins_field_set: t.UnionC<[t.LiteralC<"pro">, t.LiteralC<"basic">, t.LiteralC<"none">]>;
    show_countdown_banner: t.BooleanC;
    can_install_foobar: t.BooleanC;
    releases_available: t.BooleanC;
    releases_enabled: t.BooleanC;
    releases_environments: t.ArrayC<t.StringC>;
    in_bar_feedback: t.BooleanC;
    force_end_user_identity_verification: t.BooleanC;
    summon_hotkey_override: t.UnionC<[t.StringC, t.NullC]>;
    end_user_shortcuts_enabled: t.BooleanC;
    fallback_commands: t.ArrayC<t.NumberC>;
    end_user_recents_enabled: t.BooleanC;
    tab_direction: t.UnionC<[t.LiteralC<"horizontal">, t.LiteralC<"vertical">]>;
    recommended_tab_enabled: t.BooleanC;
    recents_tab_enabled: t.BooleanC;
    recommended_tab_instruction: t.StringC;
    recents_tab_instruction: t.StringC;
    hotload_help_docs: t.BooleanC;
    slash_filters_enabled: t.BooleanC;
    recents_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    recommended_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    num_live_commands: t.NumberC;
    help_center_sync: t.UnionC<[t.LiteralC<"upload-once">, t.LiteralC<"manual">, t.LiteralC<"automatic">]>;
    show_suggested_synonyms: t.BooleanC;
}>;
export declare class Organization {
    static read: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        id: string | number;
        name: string;
        created: string;
    } & {} & {
        launcher_type: "alternate" | "none" | "prompt" | "minimal";
        launcher_position: "topRight" | "topLeft" | "bottomRight" | "bottomLeft";
        show_launcher_recommendations: boolean;
        recommendations_type: "None" | "Custom" | "Algorithm" | undefined;
        launcher_offset_x: number;
        launcher_offset_y: number;
        theme: object;
        icon: string;
        icon_suggest: string;
        icon_tutorial: string;
        icon_go_forward: string;
        resource_options: {
            [x: string]: {
                name?: string | undefined;
                search?: boolean | undefined;
                label_field?: string | undefined;
                useCategory?: boolean | undefined;
                search_fields?: (string | {
                    key: string;
                    label: string;
                })[] | undefined;
                auto_execute?: boolean | undefined;
                unfurl?: boolean | undefined;
                description_field?: string | undefined;
                icon?: string | undefined;
                icon_color?: string | undefined;
                image_color?: string | undefined;
                image?: string | undefined;
                sort_key?: number | undefined;
                max_options_count?: number | null | undefined;
                sortFunction?: any;
                hasSearchFunction?: boolean | undefined;
                default_command_id?: string | number | undefined;
                render_as?: "grid" | "list" | undefined;
                showResources?: boolean | undefined;
                show_with_no_results?: boolean | undefined;
                search_tab_enabled?: boolean | undefined;
                search_tab_name?: string | null | undefined;
                slash_filter_enabled?: boolean | undefined;
                slash_filter_keyword?: string | null | undefined;
                search_tab_instruction?: string | null | undefined;
                setting_pin_to_bottom?: boolean | undefined;
                track_recents?: boolean | undefined;
                detail?: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null | undefined;
            };
        };
        should_show_onboarding: boolean;
        last_snippet_request: string | null;
        last_snippet_request_in_production: string | null;
        branding: string;
        custom_call_to_action: string;
        search_fuzzy_threshold: number | null;
        show_skin_editor: boolean;
        allow_event_handlers: boolean;
        in_bar_feedback: boolean;
        summon_hotkey_override: string | null;
        end_user_hotkeys: boolean | undefined;
        force_end_user_identity_verification: boolean;
        end_user_shortcuts_enabled: boolean;
        end_user_recents_enabled: boolean;
        releases_available: boolean;
        releases_enabled: boolean;
        fallback_commands: number[];
        tab_direction: "horizontal" | "vertical";
        recommended_tab_enabled: boolean;
        recents_tab_enabled: boolean;
        recommended_tab_instruction: string;
        recents_tab_instruction: string;
        hotload_help_docs: boolean;
        slash_filters_enabled: boolean;
        recents_sort_key: number | null;
        recommended_sort_key: number | null;
        show_suggested_synonyms: boolean;
        has_hotloaded_help_docs: boolean;
    }>;
    static update: (object: {
        id: string | number;
        name: string;
        created: string;
    } & {} & {
        launcher_type: "alternate" | "none" | "prompt" | "minimal";
        launcher_position: "topRight" | "topLeft" | "bottomRight" | "bottomLeft";
        show_launcher_recommendations: boolean;
        recommendations_type: "None" | "Custom" | "Algorithm" | undefined;
        launcher_offset_x: number;
        launcher_offset_y: number;
        theme: object;
        icon: string;
        icon_suggest: string;
        icon_tutorial: string;
        icon_go_forward: string;
        resource_options: {
            [x: string]: {
                name?: string | undefined;
                search?: boolean | undefined;
                label_field?: string | undefined;
                useCategory?: boolean | undefined;
                search_fields?: (string | {
                    key: string;
                    label: string;
                })[] | undefined;
                auto_execute?: boolean | undefined;
                unfurl?: boolean | undefined;
                description_field?: string | undefined;
                icon?: string | undefined;
                icon_color?: string | undefined;
                image_color?: string | undefined;
                image?: string | undefined;
                sort_key?: number | undefined;
                max_options_count?: number | null | undefined;
                sortFunction?: any;
                hasSearchFunction?: boolean | undefined;
                default_command_id?: string | number | undefined;
                render_as?: "grid" | "list" | undefined;
                showResources?: boolean | undefined;
                show_with_no_results?: boolean | undefined;
                search_tab_enabled?: boolean | undefined;
                search_tab_name?: string | null | undefined;
                slash_filter_enabled?: boolean | undefined;
                slash_filter_keyword?: string | null | undefined;
                search_tab_instruction?: string | null | undefined;
                setting_pin_to_bottom?: boolean | undefined;
                track_recents?: boolean | undefined;
                detail?: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null | undefined;
            };
        };
        should_show_onboarding: boolean;
        last_snippet_request: string | null;
        last_snippet_request_in_production: string | null;
        branding: string;
        custom_call_to_action: string;
        search_fuzzy_threshold: number | null;
        show_skin_editor: boolean;
        allow_event_handlers: boolean;
        in_bar_feedback: boolean;
        summon_hotkey_override: string | null;
        end_user_hotkeys: boolean | undefined;
        force_end_user_identity_verification: boolean;
        end_user_shortcuts_enabled: boolean;
        end_user_recents_enabled: boolean;
        releases_available: boolean;
        releases_enabled: boolean;
        fallback_commands: number[];
        tab_direction: "horizontal" | "vertical";
        recommended_tab_enabled: boolean;
        recents_tab_enabled: boolean;
        recommended_tab_instruction: string;
        recents_tab_instruction: string;
        hotload_help_docs: boolean;
        slash_filters_enabled: boolean;
        recents_sort_key: number | null;
        recommended_sort_key: number | null;
        show_suggested_synonyms: boolean;
        has_hotloaded_help_docs: boolean;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: string | number;
        name: string;
        created: string;
    } & {} & {
        launcher_type: "alternate" | "none" | "prompt" | "minimal";
        launcher_position: "topRight" | "topLeft" | "bottomRight" | "bottomLeft";
        show_launcher_recommendations: boolean;
        recommendations_type: "None" | "Custom" | "Algorithm" | undefined;
        launcher_offset_x: number;
        launcher_offset_y: number;
        theme: object;
        icon: string;
        icon_suggest: string;
        icon_tutorial: string;
        icon_go_forward: string;
        resource_options: {
            [x: string]: {
                name?: string | undefined;
                search?: boolean | undefined;
                label_field?: string | undefined;
                useCategory?: boolean | undefined;
                search_fields?: (string | {
                    key: string;
                    label: string;
                })[] | undefined;
                auto_execute?: boolean | undefined;
                unfurl?: boolean | undefined;
                description_field?: string | undefined;
                icon?: string | undefined;
                icon_color?: string | undefined;
                image_color?: string | undefined;
                image?: string | undefined;
                sort_key?: number | undefined;
                max_options_count?: number | null | undefined;
                sortFunction?: any;
                hasSearchFunction?: boolean | undefined;
                default_command_id?: string | number | undefined;
                render_as?: "grid" | "list" | undefined;
                showResources?: boolean | undefined;
                show_with_no_results?: boolean | undefined;
                search_tab_enabled?: boolean | undefined;
                search_tab_name?: string | null | undefined;
                slash_filter_enabled?: boolean | undefined;
                slash_filter_keyword?: string | null | undefined;
                search_tab_instruction?: string | null | undefined;
                setting_pin_to_bottom?: boolean | undefined;
                track_recents?: boolean | undefined;
                detail?: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null | undefined;
            };
        };
        should_show_onboarding: boolean;
        last_snippet_request: string | null;
        last_snippet_request_in_production: string | null;
        branding: string;
        custom_call_to_action: string;
        search_fuzzy_threshold: number | null;
        show_skin_editor: boolean;
        allow_event_handlers: boolean;
        in_bar_feedback: boolean;
        summon_hotkey_override: string | null;
        end_user_hotkeys: boolean | undefined;
        force_end_user_identity_verification: boolean;
        end_user_shortcuts_enabled: boolean;
        end_user_recents_enabled: boolean;
        releases_available: boolean;
        releases_enabled: boolean;
        fallback_commands: number[];
        tab_direction: "horizontal" | "vertical";
        recommended_tab_enabled: boolean;
        recents_tab_enabled: boolean;
        recommended_tab_instruction: string;
        recents_tab_instruction: string;
        hotload_help_docs: boolean;
        slash_filters_enabled: boolean;
        recents_sort_key: number | null;
        recommended_sort_key: number | null;
        show_suggested_synonyms: boolean;
        has_hotloaded_help_docs: boolean;
    }>;
    static listCommands: (orgUID: string) => Promise<({
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression;
        recommend_expression: import("./helpers/rules").RuleExpression;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        next_steps: (string | number)[];
        generated_tags: {
            automated?: string[] | null | undefined;
            manual?: string[] | null | undefined;
            deny?: string[] | null | undefined;
        };
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
    })[]>;
    static listCommandCategories: (orgUID: string) => Promise<({
        id: number;
        organization: string | number;
        name: string;
    } & {} & {
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        render_as: "grid" | "list";
        setting_hide_before_search: boolean;
        setting_max_options_count: number | null;
        setting_pin_to_bottom: boolean;
        search_tab_enabled: boolean;
        search_tab_name: string;
        slash_filter_enabled: boolean;
        slash_filter_keyword: string | null;
        search_tab_instruction: string;
        track_recents: boolean;
    } & {
        contains_hotloaded_commands?: boolean | undefined;
    })[]>;
    static listGuides: (orgUID: string) => Promise<({
        id: number;
        organization: string;
        event: string;
        nudge: string;
        guidance: string;
    } & {})[]>;
    static listContexts: (orgUID: string) => Promise<({
        id: number;
        name: string;
        organization: string;
        value: {
            [x: string]: any;
        };
    } & {})[]>;
    static listPlaceholders: (orgUID: string) => Promise<({
        id: number;
        organization: string;
        slug: string;
        text: string;
    } & {})[]>;
    static listRules: (orgUID: string) => Promise<{
        id: string | number;
        name: string;
        expression: import("./helpers/rules").RuleExpression;
    }[]>;
    static userHasAccess: (uuid: string, user: string) => Promise<{
        username: string;
        slug: string;
        organization: string;
        has_access: boolean;
        has_opened: boolean;
        hotkeys_debug: boolean;
        hmac: string | undefined;
        identifier: string;
    }>;
    static readHealth: (arg0: string, urlArgs?: {
        [arg: string]: string;
    } | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: string | number;
        uuid: string;
        errors_72h: number;
        suggestions_72h: number;
        executions_total: number;
        users_total: number;
    }>;
    static readInternal: (arg0: string, urlArgs?: {
        [arg: string]: string;
    } | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: string;
        integrations: {
            [x: string]: {
                [x: string]: string;
            };
        };
    }>;
    static updateInternal: (object: {
        id: string;
        integrations: {
            [x: string]: {
                [x: string]: string;
            };
        };
    }, urlArgs?: {
        [arg: string]: string;
    } | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: string;
        integrations: {
            [x: string]: {
                [x: string]: string;
            };
        };
    }>;
    static readSettings: (params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        end_user_limit: number;
        user_seat_limit: number;
        analytics_dashboard_execution_limit: number;
        analytics_dashboard_deadend_limit: number;
        silent_mode: boolean;
        allow_event_handlers: boolean;
        event_attribute_block_list: string[];
        skins_limit: number;
        skins_field_set: "basic" | "none" | "pro";
        show_countdown_banner: boolean;
        can_install_foobar: boolean;
        releases_available: boolean;
        releases_enabled: boolean;
        releases_environments: string[];
        in_bar_feedback: boolean;
        force_end_user_identity_verification: boolean;
        summon_hotkey_override: string | null;
        end_user_shortcuts_enabled: boolean;
        fallback_commands: number[];
        end_user_recents_enabled: boolean;
        tab_direction: "horizontal" | "vertical";
        recommended_tab_enabled: boolean;
        recents_tab_enabled: boolean;
        recommended_tab_instruction: string;
        recents_tab_instruction: string;
        hotload_help_docs: boolean;
        slash_filters_enabled: boolean;
        recents_sort_key: number | null;
        recommended_sort_key: number | null;
        num_live_commands: number;
        help_center_sync: "manual" | "upload-once" | "automatic";
        show_suggested_synonyms: boolean;
    }>;
    static updateSetting: (object: {
        end_user_limit?: number | undefined;
        user_seat_limit?: number | undefined;
        analytics_dashboard_execution_limit?: number | undefined;
        analytics_dashboard_deadend_limit?: number | undefined;
        silent_mode?: boolean | undefined;
        allow_event_handlers?: boolean | undefined;
        event_attribute_block_list?: string[] | undefined;
        skins_limit?: number | undefined;
        skins_field_set?: "basic" | "none" | "pro" | undefined;
        show_countdown_banner?: boolean | undefined;
        can_install_foobar?: boolean | undefined;
        releases_available?: boolean | undefined;
        releases_enabled?: boolean | undefined;
        releases_environments?: string[] | undefined;
        in_bar_feedback?: boolean | undefined;
        force_end_user_identity_verification?: boolean | undefined;
        summon_hotkey_override?: string | null | undefined;
        end_user_shortcuts_enabled?: boolean | undefined;
        fallback_commands?: number[] | undefined;
        end_user_recents_enabled?: boolean | undefined;
        tab_direction?: "horizontal" | "vertical" | undefined;
        recommended_tab_enabled?: boolean | undefined;
        recents_tab_enabled?: boolean | undefined;
        recommended_tab_instruction?: string | undefined;
        recents_tab_instruction?: string | undefined;
        hotload_help_docs?: boolean | undefined;
        slash_filters_enabled?: boolean | undefined;
        recents_sort_key?: number | null | undefined;
        recommended_sort_key?: number | null | undefined;
        num_live_commands?: number | undefined;
        help_center_sync?: "manual" | "upload-once" | "automatic" | undefined;
        show_suggested_synonyms?: boolean | undefined;
    }, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        end_user_limit: number;
        user_seat_limit: number;
        analytics_dashboard_execution_limit: number;
        analytics_dashboard_deadend_limit: number;
        silent_mode: boolean;
        allow_event_handlers: boolean;
        event_attribute_block_list: string[];
        skins_limit: number;
        skins_field_set: "basic" | "none" | "pro";
        show_countdown_banner: boolean;
        can_install_foobar: boolean;
        releases_available: boolean;
        releases_enabled: boolean;
        releases_environments: string[];
        in_bar_feedback: boolean;
        force_end_user_identity_verification: boolean;
        summon_hotkey_override: string | null;
        end_user_shortcuts_enabled: boolean;
        fallback_commands: number[];
        end_user_recents_enabled: boolean;
        tab_direction: "horizontal" | "vertical";
        recommended_tab_enabled: boolean;
        recents_tab_enabled: boolean;
        recommended_tab_instruction: string;
        recents_tab_instruction: string;
        hotload_help_docs: boolean;
        slash_filters_enabled: boolean;
        recents_sort_key: number | null;
        recommended_sort_key: number | null;
        num_live_commands: number;
        help_center_sync: "manual" | "upload-once" | "automatic";
        show_suggested_synonyms: boolean;
    }>;
    static readDashboardFlags: (params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        show_onboarding: boolean;
        show_appsumo_onboarding: boolean;
    }>;
    static updateDashboardFlags: (object: {
        show_onboarding?: boolean | undefined;
        show_appsumo_onboarding?: boolean | undefined;
    }, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        show_onboarding: boolean;
        show_appsumo_onboarding: boolean;
    }>;
    static decode: (data: any) => {
        id: string | number;
        name: string;
        created: string;
    } & {} & {
        launcher_type: "alternate" | "none" | "prompt" | "minimal";
        launcher_position: "topRight" | "topLeft" | "bottomRight" | "bottomLeft";
        show_launcher_recommendations: boolean;
        recommendations_type: "None" | "Custom" | "Algorithm" | undefined;
        launcher_offset_x: number;
        launcher_offset_y: number;
        theme: object;
        icon: string;
        icon_suggest: string;
        icon_tutorial: string;
        icon_go_forward: string;
        resource_options: {
            [x: string]: {
                name?: string | undefined;
                search?: boolean | undefined;
                label_field?: string | undefined;
                useCategory?: boolean | undefined;
                search_fields?: (string | {
                    key: string;
                    label: string;
                })[] | undefined;
                auto_execute?: boolean | undefined;
                unfurl?: boolean | undefined;
                description_field?: string | undefined;
                icon?: string | undefined;
                icon_color?: string | undefined;
                image_color?: string | undefined;
                image?: string | undefined;
                sort_key?: number | undefined;
                max_options_count?: number | null | undefined;
                sortFunction?: any;
                hasSearchFunction?: boolean | undefined;
                default_command_id?: string | number | undefined;
                render_as?: "grid" | "list" | undefined;
                showResources?: boolean | undefined;
                show_with_no_results?: boolean | undefined;
                search_tab_enabled?: boolean | undefined;
                search_tab_name?: string | null | undefined;
                slash_filter_enabled?: boolean | undefined;
                slash_filter_keyword?: string | null | undefined;
                search_tab_instruction?: string | null | undefined;
                setting_pin_to_bottom?: boolean | undefined;
                track_recents?: boolean | undefined;
                detail?: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null | undefined;
            };
        };
        should_show_onboarding: boolean;
        last_snippet_request: string | null;
        last_snippet_request_in_production: string | null;
        branding: string;
        custom_call_to_action: string;
        search_fuzzy_threshold: number | null;
        show_skin_editor: boolean;
        allow_event_handlers: boolean;
        in_bar_feedback: boolean;
        summon_hotkey_override: string | null;
        end_user_hotkeys: boolean | undefined;
        force_end_user_identity_verification: boolean;
        end_user_shortcuts_enabled: boolean;
        end_user_recents_enabled: boolean;
        releases_available: boolean;
        releases_enabled: boolean;
        fallback_commands: number[];
        tab_direction: "horizontal" | "vertical";
        recommended_tab_enabled: boolean;
        recents_tab_enabled: boolean;
        recommended_tab_instruction: string;
        recents_tab_instruction: string;
        hotload_help_docs: boolean;
        slash_filters_enabled: boolean;
        recents_sort_key: number | null;
        recommended_sort_key: number | null;
        show_suggested_synonyms: boolean;
        has_hotloaded_help_docs: boolean;
    };
    static unknownOrganization: import("./OrganizationV").IOrganizationType;
}
