import * as t from 'io-ts';
export { ResourceSettingsV, ResourceSettingsByContextKeyV } from './ResourceSettingsV';
export { OrganizationV } from './OrganizationV';
export declare const ReleaseV: t.TypeC<{
    created_by: t.StringC;
    created: t.StringC;
    history_event: t.IntersectionC<[t.TypeC<{
        id: t.NumberC;
        organization: t.StringC;
        changed_by: t.StringC;
        description: t.StringC;
        created: t.StringC;
        sha1: t.StringC;
        version_num: t.NumberC;
    }>, t.PartialC<{}>]>;
    id: t.NumberC;
    notes: t.StringC;
    tags: t.ArrayC<t.StringC>;
}>;
export declare const ReleaseStepV: t.TypeC<{
    created: t.StringC;
    created_by: t.StringC;
    current: t.UnionC<[t.BooleanC, t.NullC]>;
    env: t.StringC;
    id: t.NumberC;
    next_env: t.UnionC<[t.NullC, t.StringC]>;
    release: t.TypeC<{
        created_by: t.StringC;
        created: t.StringC;
        history_event: t.IntersectionC<[t.TypeC<{
            id: t.NumberC;
            organization: t.StringC;
            changed_by: t.StringC;
            description: t.StringC;
            created: t.StringC;
            sha1: t.StringC;
            version_num: t.NumberC;
        }>, t.PartialC<{}>]>;
        id: t.NumberC;
        notes: t.StringC;
        tags: t.ArrayC<t.StringC>;
    }>;
}>;
export declare const EnvReleaseInfoV: t.IntersectionC<[t.TypeC<{
    environment: t.StringC;
}>, t.PartialC<{
    release_step: t.TypeC<{
        created: t.StringC;
        created_by: t.StringC;
        current: t.UnionC<[t.BooleanC, t.NullC]>;
        env: t.StringC;
        id: t.NumberC;
        next_env: t.UnionC<[t.NullC, t.StringC]>;
        release: t.TypeC<{
            created_by: t.StringC;
            created: t.StringC;
            history_event: t.IntersectionC<[t.TypeC<{
                id: t.NumberC;
                organization: t.StringC;
                changed_by: t.StringC;
                description: t.StringC;
                created: t.StringC;
                sha1: t.StringC;
                version_num: t.NumberC;
            }>, t.PartialC<{}>]>;
            id: t.NumberC;
            notes: t.StringC;
            tags: t.ArrayC<t.StringC>;
        }>;
    }>;
    release: t.TypeC<{
        created_by: t.StringC;
        created: t.StringC;
        history_event: t.IntersectionC<[t.TypeC<{
            id: t.NumberC;
            organization: t.StringC;
            changed_by: t.StringC;
            description: t.StringC;
            created: t.StringC;
            sha1: t.StringC;
            version_num: t.NumberC;
        }>, t.PartialC<{}>]>;
        id: t.NumberC;
        notes: t.StringC;
        tags: t.ArrayC<t.StringC>;
    }>;
}>]>;
export declare class Releases {
    static readView: (params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        environments: ({
            environment: string;
        } & {
            release_step?: {
                created: string;
                created_by: string;
                current: boolean | null;
                env: string;
                id: number;
                next_env: string | null;
                release: {
                    created_by: string;
                    created: string;
                    history_event: {
                        id: number;
                        organization: string;
                        changed_by: string;
                        description: string;
                        created: string;
                        sha1: string;
                        version_num: number;
                    } & {};
                    id: number;
                    notes: string;
                    tags: string[];
                };
            } | undefined;
            release?: {
                created_by: string;
                created: string;
                history_event: {
                    id: number;
                    organization: string;
                    changed_by: string;
                    description: string;
                    created: string;
                    sha1: string;
                    version_num: number;
                } & {};
                id: number;
                notes: string;
                tags: string[];
            } | undefined;
        })[];
        latest_history_event: ({
            id: number;
            organization: string;
            changed_by: string;
            description: string;
            created: string;
            sha1: string;
            version_num: number;
        } & {}) | null;
        latest_release: {
            created_by: string;
            created: string;
            history_event: {
                id: number;
                organization: string;
                changed_by: string;
                description: string;
                created: string;
                sha1: string;
                version_num: number;
            } & {};
            id: number;
            notes: string;
            tags: string[];
        } | null;
    }>;
    static createRelease: (historyEventId: number, notes: string, tags: string[]) => Promise<{
        created_by: string;
        created: string;
        history_event: {
            id: number;
            organization: string;
            changed_by: string;
            description: string;
            created: string;
            sha1: string;
            version_num: number;
        } & {};
        id: number;
        notes: string;
        tags: string[];
    }>;
    static readReleaseStepsForEnv: (env: string) => Promise<{
        created: string;
        created_by: string;
        current: boolean | null;
        env: string;
        id: number;
        next_env: string | null;
        release: {
            created_by: string;
            created: string;
            history_event: {
                id: number;
                organization: string;
                changed_by: string;
                description: string;
                created: string;
                sha1: string;
                version_num: number;
            } & {};
            id: number;
            notes: string;
            tags: string[];
        };
    }[]>;
    static rollback: (releaseStepId: number) => Promise<{
        created: string;
        created_by: string;
        current: boolean | null;
        env: string;
        id: number;
        next_env: string | null;
        release: {
            created_by: string;
            created: string;
            history_event: {
                id: number;
                organization: string;
                changed_by: string;
                description: string;
                created: string;
                sha1: string;
                version_num: number;
            } & {};
            id: number;
            notes: string;
            tags: string[];
        };
    }>;
    static readDiff: (fromId: string, toId: string) => Promise<unknown>;
    static promoteReleaseStep: (releaseStepId: number) => Promise<any>;
    static promoteReleaseToFirstEnv: (releaseId: number) => Promise<{
        created_by: string;
        created: string;
        history_event: {
            id: number;
            organization: string;
            changed_by: string;
            description: string;
            created: string;
            sha1: string;
            version_num: number;
        } & {};
        id: number;
        notes: string;
        tags: string[];
    }>;
    static listReleases: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        created_by: string;
        created: string;
        history_event: {
            id: number;
            organization: string;
            changed_by: string;
            description: string;
            created: string;
            sha1: string;
            version_num: number;
        } & {};
        id: number;
        notes: string;
        tags: string[];
    }[]>;
}
