import * as t from 'io-ts';
export declare const SkinV: t.IntersectionC<[t.TypeC<{
    id: t.StringC;
    slug: t.StringC;
    name: t.StringC;
    default: t.BooleanC;
    skin: t.AnyC;
    organization: t.StringC;
}>, t.PartialC<{
    logo: t.UnionC<[t.StringC, t.NullC]>;
    frozen: t.BooleanC;
}>]>;
export declare const SkinPatchV: t.PartialC<{
    id: t.StringC;
    slug: t.StringC;
    name: t.StringC;
    default: t.BooleanC;
    skin: t.AnyC;
    organization: t.StringC;
    logo: t.UnionC<[t.StringC, t.NullC]>;
}>;
export declare const SkinPatchMetadataV: t.PartialC<{
    name: t.StringC;
    slug: t.StringC;
}>;
export declare class Skin {
    static list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
        id: string;
        slug: string;
        name: string;
        default: boolean;
        skin: any;
        organization: string;
    } & {
        logo?: string | null | undefined;
        frozen?: boolean | undefined;
    })[]>;
    static read: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        id: string;
        slug: string;
        name: string;
        default: boolean;
        skin: any;
        organization: string;
    } & {
        logo?: string | null | undefined;
        frozen?: boolean | undefined;
    }>;
    static update: (skin: t.TypeOf<typeof SkinPatchV>) => Promise<{
        id: string;
        slug: string;
        name: string;
        default: boolean;
        skin: any;
        organization: string;
    } & {
        logo?: string | null | undefined;
        frozen?: boolean | undefined;
    }>;
    static updateMetadata: (slug: string, metadata: t.TypeOf<typeof SkinPatchMetadataV>) => Promise<{
        id: string;
        slug: string;
        name: string;
        default: boolean;
        skin: any;
        organization: string;
    } & {
        logo?: string | null | undefined;
        frozen?: boolean | undefined;
    }>;
    static create: (object: {
        id?: string | undefined;
        slug?: string | undefined;
        name?: string | undefined;
        default?: boolean | undefined;
        skin?: any;
        organization?: string | undefined;
        logo?: string | null | undefined;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: string;
        slug: string;
        name: string;
        default: boolean;
        skin: any;
        organization: string;
    } & {
        logo?: string | null | undefined;
        frozen?: boolean | undefined;
    }>;
    static delete: (id: string | number, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
}
