import { _dispose, _disposed } from '../client/symbols';
export declare type PublicDisposable = {
    dispose: VoidFunction;
    _disposed?: boolean;
};
export declare type PrivateDisposable = {
    [_dispose]: VoidFunction;
    [_disposed]?: boolean;
};
export declare type Disposable = undefined | PublicDisposable | PrivateDisposable;
export declare const isDisposable: (x: unknown) => x is Disposable;
/**
 * Determines if the provided value is "disposed". A value is considered "disposed" if it is an object with the
 * _disposed property or symbol symbol set to true, or if the actual value is undefined.
 */
export declare const isDisposed: (x: unknown) => boolean;
export declare function dispose(x: Disposable): void;
