const path = require('path');
const { BundleAnalyzerPlugin } = require('webpack-bundle-analyzer');

module.exports = {
  mode: 'production',
  entry: path.resolve(__dirname, 'src', 'index.ts'),
  output: {
    path: path.resolve(__dirname, 'build', 'commandbar-js', 'src'),
    filename: 'index.js',
    library: {
      type: 'umd',
      name: 'commandbar',
    },
    globalObject: 'this',
  },
  module: {
    rules: [
      {
        test: /\.tsx?$/,
        loader: 'ts-loader',
        options: {
          transpileOnly: true,
        },
      },
    ],
  },
  resolve: {
    extensions: ['.ts', '.js', '.json', '.tsx'],
  },
  stats: 'minimal',
  plugins: [process.env.ENABLE_STATSFILE_GENERATION && new BundleAnalyzerPlugin({
    analyzerMode: 'disabled',
    generateStatsFile: true
  })].filter(Boolean),
};
