/********************************************************************************/
import * as t from 'io-ts';
import { GenericBatchRequest } from './generics';
export { CommandFromClientV } from './CommandFromClientV';
declare const CommandBaseV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.UnionC<[t.NumberC, t.StringC]>;
    text: t.StringC;
    template: t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"admin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"callback">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"builtin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"webhook">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"script">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"request">;
        value: t.IntersectionC<[t.TypeC<{
            method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
            url: t.StringC;
        }>, t.PartialC<{
            headers: t.UnknownRecordC;
            body: t.UnknownRecordC;
            onSend: t.StringC;
            onSuccess: t.StringC;
            onError: t.StringC;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"appcues">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"video">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"helpdoc">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_explorer">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>]>;
}>, t.PartialC<{
    disabledReason: t.StringC;
    source: t.StringC;
    name: t.StringC;
    last_available: t.UnionC<[t.StringC, t.NullC]>;
    modified: t.StringC;
    isAsync: t.BooleanC;
}>]>;
declare const HelpSyncCommandAdditionalV: t.PartialC<{
    third_party_source: t.UnionC<[t.StringC, t.NullC]>;
    third_party_id: t.UnionC<[t.StringC, t.NullC]>;
}>;
export declare const helpSyncDefaults: t.TypeOf<typeof HelpSyncCommandAdditionalV>;
export declare const CommandV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.UnionC<[t.NumberC, t.StringC]>;
    text: t.StringC;
    template: t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"admin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"callback">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"builtin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"webhook">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"script">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"request">;
        value: t.IntersectionC<[t.TypeC<{
            method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
            url: t.StringC;
        }>, t.PartialC<{
            headers: t.UnknownRecordC;
            body: t.UnknownRecordC;
            onSend: t.StringC;
            onSuccess: t.StringC;
            onError: t.StringC;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"appcues">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"video">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"helpdoc">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_explorer">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>]>;
}>, t.PartialC<{
    disabledReason: t.StringC;
    source: t.StringC;
    name: t.StringC;
    last_available: t.UnionC<[t.StringC, t.NullC]>;
    modified: t.StringC;
    isAsync: t.BooleanC;
}>]>, t.TypeC<{
    arguments: t.RecordC<t.StringC, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"context">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        show_in_record_action_list: t.BooleanC;
        show_in_default_list: t.BooleanC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"set">;
        value: t.UnionC<[t.ArrayC<t.StringC>, t.ArrayC<t.NumberC>, t.ArrayC<t.UnknownRecordC>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"provided">;
        value: t.UnionC<[t.LiteralC<"text">, t.LiteralC<"time">]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        dateTimeArgumentTypeId: t.NumberC;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"dependent">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"function">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"video">, t.LiteralC<"html">]>;
        value: t.IntersectionC<[t.TypeC<{
            source: t.StringC;
        }>, t.PartialC<{
            title: t.StringC;
            description: t.StringC;
            url: t.StringC;
        }>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        is_private: t.BooleanC;
        auto_choose: t.BooleanC;
    }>]>]>>;
    tags: t.ArrayC<t.StringC>;
    availability_rules: t.ArrayC<t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isNot: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            doesNotInclude: null;
            matchesRegex: null;
            isGreaterThan: null;
            isLessThan: null;
            isBefore: null;
            isAfter: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>>;
    recommend_rules: t.ArrayC<t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"always">;
    }>, t.PartialC<{
        operator: t.UnionC<[t.UndefinedC, t.NullC]>;
        field: t.UnionC<[t.UndefinedC, t.NullC]>;
        value: t.UnionC<[t.UndefinedC, t.NullC]>;
        reason: t.UnionC<[t.UndefinedC, t.NullC]>;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isNot: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            doesNotInclude: null;
            matchesRegex: null;
            isGreaterThan: null;
            isLessThan: null;
            isBefore: null;
            isAfter: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>]>>;
    availability_expression: t.UnionC<[t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>, t.NullC]>;
    recommend_expression: t.UnionC<[t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>, t.NullC]>;
    always_recommend: t.BooleanC;
    confirm: t.StringC;
    shortcut: t.ArrayC<t.StringC>;
    explanation: t.StringC;
    heading: t.StringC;
    is_live: t.BooleanC;
    category: t.UnionC<[t.NumberC, t.NullC]>;
    sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    icon: t.UnionC<[t.StringC, t.NullC]>;
    icon_color: t.UnionC<[t.StringC, t.NullC]>;
    image_color: t.UnionC<[t.StringC, t.NullC]>;
    image: t.UnionC<[t.StringC, t.NullC]>;
    celebrate: t.UnionC<[t.BooleanC, t.PartialC<{
        angle: t.NumberC;
        spread: t.NumberC;
        width: t.StringC;
        height: t.StringC;
        duration: t.NumberC;
        dragFriction: t.NumberC;
        stagger: t.NumberC;
        startVelocity: t.NumberC;
        elementCount: t.NumberC;
        decay: t.NumberC;
        colors: t.ArrayC<t.StringC>;
        random: t.AnyC;
    }>, t.NullC]>;
    recommend_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    shortcut_mac: t.ArrayC<t.StringC>;
    shortcut_win: t.ArrayC<t.StringC>;
    hotkey_mac: t.StringC;
    hotkey_win: t.StringC;
    detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>]>>]>;
    next_steps: t.ArrayC<t.UnionC<[t.StringC, t.NumberC]>>;
}>, t.PartialC<{
    third_party_source: t.UnionC<[t.StringC, t.NullC]>;
    third_party_id: t.UnionC<[t.StringC, t.NullC]>;
}>]>;
export declare const EditorCommandV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.UnionC<[t.NumberC, t.StringC]>;
    text: t.StringC;
    template: t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"admin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"callback">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"builtin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"webhook">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"script">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"request">;
        value: t.IntersectionC<[t.TypeC<{
            method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
            url: t.StringC;
        }>, t.PartialC<{
            headers: t.UnknownRecordC;
            body: t.UnknownRecordC;
            onSend: t.StringC;
            onSuccess: t.StringC;
            onError: t.StringC;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"appcues">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"video">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"helpdoc">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_explorer">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>]>;
}>, t.PartialC<{
    disabledReason: t.StringC;
    source: t.StringC;
    name: t.StringC;
    last_available: t.UnionC<[t.StringC, t.NullC]>;
    modified: t.StringC;
    isAsync: t.BooleanC;
}>]>, t.TypeC<{
    arguments: t.RecordC<t.StringC, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"context">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        show_in_record_action_list: t.BooleanC;
        show_in_default_list: t.BooleanC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"set">;
        value: t.UnionC<[t.ArrayC<t.StringC>, t.ArrayC<t.NumberC>, t.ArrayC<t.UnknownRecordC>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"provided">;
        value: t.UnionC<[t.LiteralC<"text">, t.LiteralC<"time">]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        dateTimeArgumentTypeId: t.NumberC;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"dependent">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"function">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"video">, t.LiteralC<"html">]>;
        value: t.IntersectionC<[t.TypeC<{
            source: t.StringC;
        }>, t.PartialC<{
            title: t.StringC;
            description: t.StringC;
            url: t.StringC;
        }>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        is_private: t.BooleanC;
        auto_choose: t.BooleanC;
    }>]>]>>;
    tags: t.ArrayC<t.StringC>;
    availability_rules: t.UnionC<[t.ArrayC<t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isNot: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            doesNotInclude: null;
            matchesRegex: null;
            isGreaterThan: null;
            isLessThan: null;
            isBefore: null;
            isAfter: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"named_rule">;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>>, t.ArrayC<t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isNot: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            doesNotInclude: null;
            matchesRegex: null;
            isGreaterThan: null;
            isLessThan: null;
            isBefore: null;
            isAfter: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>>]>;
    recommend_rules: t.UnionC<[t.ArrayC<t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"always">;
    }>, t.PartialC<{
        operator: t.UnionC<[t.UndefinedC, t.NullC]>;
        field: t.UnionC<[t.UndefinedC, t.NullC]>;
        value: t.UnionC<[t.UndefinedC, t.NullC]>;
        reason: t.UnionC<[t.UndefinedC, t.NullC]>;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isNot: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            doesNotInclude: null;
            matchesRegex: null;
            isGreaterThan: null;
            isLessThan: null;
            isBefore: null;
            isAfter: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"named_rule">;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>>, t.ArrayC<t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"always">;
    }>, t.PartialC<{
        operator: t.UnionC<[t.UndefinedC, t.NullC]>;
        field: t.UnionC<[t.UndefinedC, t.NullC]>;
        value: t.UnionC<[t.UndefinedC, t.NullC]>;
        reason: t.UnionC<[t.UndefinedC, t.NullC]>;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isNot: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            doesNotInclude: null;
            matchesRegex: null;
            isGreaterThan: null;
            isLessThan: null;
            isBefore: null;
            isAfter: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>]>>]>;
    availability_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    recommend_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    always_recommend: t.BooleanC;
    confirm: t.StringC;
    shortcut: t.ArrayC<t.StringC>;
    explanation: t.StringC;
    heading: t.StringC;
    is_live: t.BooleanC;
    category: t.UnionC<[t.NumberC, t.NullC]>;
    sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    icon: t.UnionC<[t.StringC, t.NullC]>;
    icon_color: t.UnionC<[t.StringC, t.NullC]>;
    image_color: t.UnionC<[t.StringC, t.NullC]>;
    image: t.UnionC<[t.StringC, t.NullC]>;
    celebrate: t.UnionC<[t.BooleanC, t.PartialC<{
        angle: t.NumberC;
        spread: t.NumberC;
        width: t.StringC;
        height: t.StringC;
        duration: t.NumberC;
        dragFriction: t.NumberC;
        stagger: t.NumberC;
        startVelocity: t.NumberC;
        elementCount: t.NumberC;
        decay: t.NumberC;
        colors: t.ArrayC<t.StringC>;
        random: t.AnyC;
    }>, t.NullC]>;
    recommend_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    shortcut_mac: t.ArrayC<t.StringC>;
    shortcut_win: t.ArrayC<t.StringC>;
    hotkey_mac: t.StringC;
    hotkey_win: t.StringC;
    detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>]>>]>;
    next_steps: t.ArrayC<t.UnionC<[t.StringC, t.NumberC]>>;
    generated_tags: t.PartialC<{
        automated: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
        manual: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
        deny: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
    }>;
}>, t.PartialC<{
    third_party_source: t.UnionC<[t.StringC, t.NullC]>;
    third_party_id: t.UnionC<[t.StringC, t.NullC]>;
}>]>;
export declare const BatchOperationV: t.UnionC<[t.TypeC<{
    op: t.LiteralC<"update">;
    id: t.NumberC;
    data: t.UnknownC;
}>, t.TypeC<{
    op: t.LiteralC<"create">;
    data: t.UnknownC;
}>, t.TypeC<{
    op: t.LiteralC<"delete">;
    id: t.NumberC;
}>]>;
export declare const BatchEditorCommandResponseV: t.TypeC<{
    batch: t.ArrayC<t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        id: t.NumberC;
        organization: t.UnionC<[t.NumberC, t.StringC]>;
        text: t.StringC;
        template: t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"admin">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"callback">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"builtin">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"webhook">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"script">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"request">;
            value: t.IntersectionC<[t.TypeC<{
                method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
                url: t.StringC;
            }>, t.PartialC<{
                headers: t.UnknownRecordC;
                body: t.UnknownRecordC;
                onSend: t.StringC;
                onSuccess: t.StringC;
                onError: t.StringC;
            }>]>;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"appcues">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"video">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"helpdoc">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_explorer">, t.UndefinedC]>;
        }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>]>]>;
    }>, t.PartialC<{
        disabledReason: t.StringC;
        source: t.StringC;
        name: t.StringC;
        last_available: t.UnionC<[t.StringC, t.NullC]>;
        modified: t.StringC;
        isAsync: t.BooleanC;
    }>]>, t.TypeC<{
        arguments: t.RecordC<t.StringC, t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"context">;
            value: t.StringC;
            order_key: t.NumberC;
        }>, t.PartialC<{
            label: t.StringC;
            chosen: t.UnionC<[t.StringC, t.NumberC]>;
            selected: t.ArrayC<t.AnyC>;
            input_type: t.StringC;
            preselected_key: t.StringC;
            label_field: t.StringC;
            loaded: t.ArrayC<t.AnyC>;
            allow_create: t.BooleanC;
            allow_create_label: t.StringC;
            show_in_record_action_list: t.BooleanC;
            show_in_default_list: t.BooleanC;
            auto_choose: t.BooleanC;
            is_private: t.BooleanC;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"set">;
            value: t.UnionC<[t.ArrayC<t.StringC>, t.ArrayC<t.NumberC>, t.ArrayC<t.UnknownRecordC>]>;
            order_key: t.NumberC;
        }>, t.PartialC<{
            label: t.StringC;
            chosen: t.UnionC<[t.StringC, t.NumberC]>;
            selected: t.ArrayC<t.AnyC>;
            input_type: t.StringC;
            preselected_key: t.StringC;
            label_field: t.StringC;
            loaded: t.ArrayC<t.AnyC>;
            allow_create: t.BooleanC;
            allow_create_label: t.StringC;
            auto_choose: t.BooleanC;
            is_private: t.BooleanC;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"provided">;
            value: t.UnionC<[t.LiteralC<"text">, t.LiteralC<"time">]>;
            order_key: t.NumberC;
        }>, t.PartialC<{
            label: t.StringC;
            chosen: t.UnionC<[t.StringC, t.NumberC]>;
            selected: t.ArrayC<t.AnyC>;
            input_type: t.StringC;
            preselected_key: t.StringC;
            label_field: t.StringC;
            loaded: t.ArrayC<t.AnyC>;
            dateTimeArgumentTypeId: t.NumberC;
            allow_create: t.BooleanC;
            allow_create_label: t.StringC;
            auto_choose: t.BooleanC;
            is_private: t.BooleanC;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"dependent">;
            value: t.StringC;
            order_key: t.NumberC;
        }>, t.PartialC<{
            label: t.StringC;
            chosen: t.UnionC<[t.StringC, t.NumberC]>;
            selected: t.ArrayC<t.AnyC>;
            input_type: t.StringC;
            preselected_key: t.StringC;
            label_field: t.StringC;
            loaded: t.ArrayC<t.AnyC>;
            allow_create: t.BooleanC;
            allow_create_label: t.StringC;
            auto_choose: t.BooleanC;
            is_private: t.BooleanC;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"function">;
            value: t.StringC;
            order_key: t.NumberC;
        }>, t.PartialC<{
            label: t.StringC;
            chosen: t.UnionC<[t.StringC, t.NumberC]>;
            selected: t.ArrayC<t.AnyC>;
            input_type: t.StringC;
            preselected_key: t.StringC;
            label_field: t.StringC;
            loaded: t.ArrayC<t.AnyC>;
            allow_create: t.BooleanC;
            allow_create_label: t.StringC;
            auto_choose: t.BooleanC;
            is_private: t.BooleanC;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"video">, t.LiteralC<"html">]>;
            value: t.IntersectionC<[t.TypeC<{
                source: t.StringC;
            }>, t.PartialC<{
                title: t.StringC;
                description: t.StringC;
                url: t.StringC;
            }>]>;
            order_key: t.NumberC;
        }>, t.PartialC<{
            label: t.StringC;
            chosen: t.UnionC<[t.StringC, t.NumberC]>;
            selected: t.ArrayC<t.AnyC>;
            input_type: t.StringC;
            preselected_key: t.StringC;
            label_field: t.StringC;
            loaded: t.ArrayC<t.AnyC>;
            allow_create: t.BooleanC;
            allow_create_label: t.StringC;
            is_private: t.BooleanC;
            auto_choose: t.BooleanC;
        }>]>]>>;
        tags: t.ArrayC<t.StringC>;
        availability_rules: t.UnionC<[t.ArrayC<t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
            operator: t.KeyofC<{
                includes: null;
                endsWith: null;
                startsWith: null;
                is: null;
                isNot: null;
                isTrue: null;
                isFalse: null;
                isTruthy: null;
                isFalsy: null;
                doesNotInclude: null;
                matchesRegex: null;
                isGreaterThan: null;
                isLessThan: null;
                isBefore: null;
                isAfter: null;
                isDefined: null;
                isNotDefined: null;
                classnameOnPage: null;
                idOnPage: null;
                selectorOnPage: null;
            }>;
        }>, t.PartialC<{
            field: t.StringC;
            value: t.StringC;
            reason: t.StringC;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"named_rule">;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>]>>, t.ArrayC<t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
            operator: t.KeyofC<{
                includes: null;
                endsWith: null;
                startsWith: null;
                is: null;
                isNot: null;
                isTrue: null;
                isFalse: null;
                isTruthy: null;
                isFalsy: null;
                doesNotInclude: null;
                matchesRegex: null;
                isGreaterThan: null;
                isLessThan: null;
                isBefore: null;
                isAfter: null;
                isDefined: null;
                isNotDefined: null;
                classnameOnPage: null;
                idOnPage: null;
                selectorOnPage: null;
            }>;
        }>, t.PartialC<{
            field: t.StringC;
            value: t.StringC;
            reason: t.StringC;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>]>>]>;
        recommend_rules: t.UnionC<[t.ArrayC<t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"always">;
        }>, t.PartialC<{
            operator: t.UnionC<[t.UndefinedC, t.NullC]>;
            field: t.UnionC<[t.UndefinedC, t.NullC]>;
            value: t.UnionC<[t.UndefinedC, t.NullC]>;
            reason: t.UnionC<[t.UndefinedC, t.NullC]>;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
            operator: t.KeyofC<{
                includes: null;
                endsWith: null;
                startsWith: null;
                is: null;
                isNot: null;
                isTrue: null;
                isFalse: null;
                isTruthy: null;
                isFalsy: null;
                doesNotInclude: null;
                matchesRegex: null;
                isGreaterThan: null;
                isLessThan: null;
                isBefore: null;
                isAfter: null;
                isDefined: null;
                isNotDefined: null;
                classnameOnPage: null;
                idOnPage: null;
                selectorOnPage: null;
            }>;
        }>, t.PartialC<{
            field: t.StringC;
            value: t.StringC;
            reason: t.StringC;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"named_rule">;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>]>>, t.ArrayC<t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"always">;
        }>, t.PartialC<{
            operator: t.UnionC<[t.UndefinedC, t.NullC]>;
            field: t.UnionC<[t.UndefinedC, t.NullC]>;
            value: t.UnionC<[t.UndefinedC, t.NullC]>;
            reason: t.UnionC<[t.UndefinedC, t.NullC]>;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
            operator: t.KeyofC<{
                includes: null;
                endsWith: null;
                startsWith: null;
                is: null;
                isNot: null;
                isTrue: null;
                isFalse: null;
                isTruthy: null;
                isFalsy: null;
                doesNotInclude: null;
                matchesRegex: null;
                isGreaterThan: null;
                isLessThan: null;
                isBefore: null;
                isAfter: null;
                isDefined: null;
                isNotDefined: null;
                classnameOnPage: null;
                idOnPage: null;
                selectorOnPage: null;
            }>;
        }>, t.PartialC<{
            field: t.StringC;
            value: t.StringC;
            reason: t.StringC;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>]>]>>]>;
        availability_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
        recommend_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
        always_recommend: t.BooleanC;
        confirm: t.StringC;
        shortcut: t.ArrayC<t.StringC>;
        explanation: t.StringC;
        heading: t.StringC;
        is_live: t.BooleanC;
        category: t.UnionC<[t.NumberC, t.NullC]>;
        sort_key: t.UnionC<[t.NumberC, t.NullC]>;
        icon: t.UnionC<[t.StringC, t.NullC]>;
        icon_color: t.UnionC<[t.StringC, t.NullC]>;
        image_color: t.UnionC<[t.StringC, t.NullC]>;
        image: t.UnionC<[t.StringC, t.NullC]>;
        celebrate: t.UnionC<[t.BooleanC, t.PartialC<{
            angle: t.NumberC;
            spread: t.NumberC;
            width: t.StringC;
            height: t.StringC;
            duration: t.NumberC;
            dragFriction: t.NumberC;
            stagger: t.NumberC;
            startVelocity: t.NumberC;
            elementCount: t.NumberC;
            decay: t.NumberC;
            colors: t.ArrayC<t.StringC>;
            random: t.AnyC;
        }>, t.NullC]>;
        recommend_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
        shortcut_mac: t.ArrayC<t.StringC>;
        shortcut_win: t.ArrayC<t.StringC>;
        hotkey_mac: t.StringC;
        hotkey_win: t.StringC;
        detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>]>>]>;
        next_steps: t.ArrayC<t.UnionC<[t.StringC, t.NumberC]>>;
        generated_tags: t.PartialC<{
            automated: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
            manual: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
            deny: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
        }>;
    }>, t.PartialC<{
        third_party_source: t.UnionC<[t.StringC, t.NullC]>;
        third_party_id: t.UnionC<[t.StringC, t.NullC]>;
    }>]>>;
}>;
export declare class Command {
    static create: (object: {
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression;
        recommend_expression: import("./helpers/rules").RuleExpression;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        next_steps: (string | number)[];
        generated_tags: {
            automated?: string[] | null | undefined;
            manual?: string[] | null | undefined;
            deny?: string[] | null | undefined;
        };
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression;
        recommend_expression: import("./helpers/rules").RuleExpression;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        next_steps: (string | number)[];
        generated_tags: {
            automated?: string[] | null | undefined;
            manual?: string[] | null | undefined;
            deny?: string[] | null | undefined;
        };
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
    }>;
    static update: (object: {
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression;
        recommend_expression: import("./helpers/rules").RuleExpression;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        next_steps: (string | number)[];
        generated_tags: {
            automated?: string[] | null | undefined;
            manual?: string[] | null | undefined;
            deny?: string[] | null | undefined;
        };
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression;
        recommend_expression: import("./helpers/rules").RuleExpression;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        next_steps: (string | number)[];
        generated_tags: {
            automated?: string[] | null | undefined;
            manual?: string[] | null | undefined;
            deny?: string[] | null | undefined;
        };
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
    }>;
    static delete: (id: string | number, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
    static batch: (request: t.TypeOf<typeof GenericBatchRequest>) => Promise<{
        batch: ({
            id: number;
            organization: string | number;
            text: string;
            template: ({
                type: "admin";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
            }) | ({
                type: "callback";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
            }) | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
            }) | ({
                type: "click" | "clickByXpath" | "clickBySelector";
                value: string[];
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
            }) | ({
                type: "builtin";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
            }) | ({
                type: "webhook";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
            }) | ({
                type: "script";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
            }) | ({
                type: "request";
                value: {
                    method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                    url: string;
                } & {
                    headers?: {
                        [key: string]: unknown;
                    } | undefined;
                    body?: {
                        [key: string]: unknown;
                    } | undefined;
                    onSend?: string | undefined;
                    onSuccess?: string | undefined;
                    onError?: string | undefined;
                };
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
            }) | ({
                type: "appcues";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
            }) | ({
                type: "video";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
            }) | ({
                type: "helpdoc";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
            });
        } & {
            disabledReason?: string | undefined;
            source?: string | undefined;
            name?: string | undefined;
            last_available?: string | null | undefined;
            modified?: string | undefined;
            isAsync?: boolean | undefined;
        } & {
            arguments: {
                [x: string]: ({
                    type: "context";
                    value: string;
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    show_in_record_action_list?: boolean | undefined;
                    show_in_default_list?: boolean | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "set";
                    value: string[] | number[] | {
                        [key: string]: unknown;
                    }[];
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "provided";
                    value: "time" | "text";
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    dateTimeArgumentTypeId?: number | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "dependent";
                    value: string;
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "function";
                    value: string;
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "html" | "video";
                    value: {
                        source: string;
                    } & {
                        title?: string | undefined;
                        description?: string | undefined;
                        url?: string | undefined;
                    };
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    is_private?: boolean | undefined;
                    auto_choose?: boolean | undefined;
                });
            };
            tags: string[];
            availability_rules: ({
                type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            })[] | (({
                type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            }))[];
            recommend_rules: (({
                type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "always";
            } & {
                operator?: null | undefined;
                field?: null | undefined;
                value?: null | undefined;
                reason?: null | undefined;
                rule_id?: string | number | undefined;
            }))[] | (({
                type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "always";
            } & {
                operator?: null | undefined;
                field?: null | undefined;
                value?: null | undefined;
                reason?: null | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            }))[];
            availability_expression: import("./helpers/rules").RuleExpression;
            recommend_expression: import("./helpers/rules").RuleExpression;
            always_recommend: boolean;
            confirm: string;
            shortcut: string[];
            explanation: string;
            heading: string;
            is_live: boolean;
            category: number | null;
            sort_key: number | null;
            icon: string | null;
            icon_color: string | null;
            image_color: string | null;
            image: string | null;
            celebrate: boolean | {
                angle?: number | undefined;
                spread?: number | undefined;
                width?: string | undefined;
                height?: string | undefined;
                duration?: number | undefined;
                dragFriction?: number | undefined;
                stagger?: number | undefined;
                startVelocity?: number | undefined;
                elementCount?: number | undefined;
                decay?: number | undefined;
                colors?: string[] | undefined;
                random?: any;
            } | null;
            recommend_sort_key: number | null;
            shortcut_mac: string[];
            shortcut_win: string[];
            hotkey_mac: string;
            hotkey_win: string;
            detail: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null;
            next_steps: (string | number)[];
            generated_tags: {
                automated?: string[] | null | undefined;
                manual?: string[] | null | undefined;
                deny?: string[] | null | undefined;
            };
        } & {
            third_party_source?: string | null | undefined;
            third_party_id?: string | null | undefined;
        })[];
    }>;
    static validateFromClient: (data: any) => Promise<{
        name: string;
        template: ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
        text: string;
    } & {
        shortcut_mac?: string[] | undefined;
        shortcut_win?: string[] | undefined;
        hotkey_mac?: string | undefined;
        hotkey_win?: string | undefined;
        tags?: string[] | undefined;
        explanation?: string | undefined;
        heading?: string | undefined;
        sort_key?: number | null | undefined;
        arguments?: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        } | undefined;
        category?: string | number | null | undefined;
        icon?: string | null | undefined;
        icon_color?: string | null | undefined;
        image_color?: string | null | undefined;
        image?: string | null | undefined;
        celebrate?: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null | undefined;
        availability_rules?: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[] | undefined;
        recommend_rules?: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[] | undefined;
        availability_expression?: import("./helpers/rules").RuleExpression[] | undefined;
        recommend_expression?: import("./helpers/rules").RuleExpression[] | undefined;
        detail?: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        })[] | undefined;
    }>;
    static decode: (data: any) => {
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression | null;
        recommend_expression: import("./helpers/rules").RuleExpression | null;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        next_steps: (string | number)[];
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
    };
    static decodeEditorCommand: (data: {
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        [key: string]: any;
    }) => {
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression;
        recommend_expression: import("./helpers/rules").RuleExpression;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        next_steps: (string | number)[];
        generated_tags: {
            automated?: string[] | null | undefined;
            manual?: string[] | null | undefined;
            deny?: string[] | null | undefined;
        };
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
    };
    static createWithoutThrottle: (object: {
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression;
        recommend_expression: import("./helpers/rules").RuleExpression;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        next_steps: (string | number)[];
        generated_tags: {
            automated?: string[] | null | undefined;
            manual?: string[] | null | undefined;
            deny?: string[] | null | undefined;
        };
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression;
        recommend_expression: import("./helpers/rules").RuleExpression;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        next_steps: (string | number)[];
        generated_tags: {
            automated?: string[] | null | undefined;
            manual?: string[] | null | undefined;
            deny?: string[] | null | undefined;
        };
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
    }>;
    static updateWithoutThrottle: (object: {
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression;
        recommend_expression: import("./helpers/rules").RuleExpression;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        next_steps: (string | number)[];
        generated_tags: {
            automated?: string[] | null | undefined;
            manual?: string[] | null | undefined;
            deny?: string[] | null | undefined;
        };
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[] | (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression;
        recommend_expression: import("./helpers/rules").RuleExpression;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        next_steps: (string | number)[];
        generated_tags: {
            automated?: string[] | null | undefined;
            manual?: string[] | null | undefined;
            deny?: string[] | null | undefined;
        };
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
    }>;
    static deleteWithoutThrottle: (id: string | number, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
    static commandUID: (cmd: t.TypeOf<typeof CommandV> | t.TypeOf<typeof EditorCommandV>) => string;
    static isProgrammatic: (cmd: t.TypeOf<typeof CommandV> | t.TypeOf<typeof EditorCommandV>) => boolean;
    static isRecordAction: (cmd: t.TypeOf<typeof CommandV> | t.TypeOf<typeof EditorCommandV>, recordKey?: string | undefined) => boolean;
    static isHelpSyncCommand: (cmd: t.TypeOf<typeof CommandV> | t.TypeOf<typeof EditorCommandV>) => boolean;
    static showInDefaultList: (cmd: t.TypeOf<typeof CommandV> | t.TypeOf<typeof EditorCommandV>) => boolean;
}
export declare const HelpSyncCommandV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.UnionC<[t.NumberC, t.StringC]>;
    text: t.StringC;
    template: t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"admin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"callback">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"builtin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"webhook">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"script">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"request">;
        value: t.IntersectionC<[t.TypeC<{
            method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
            url: t.StringC;
        }>, t.PartialC<{
            headers: t.UnknownRecordC;
            body: t.UnknownRecordC;
            onSend: t.StringC;
            onSuccess: t.StringC;
            onError: t.StringC;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"appcues">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"video">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"helpdoc">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_explorer">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>]>;
}>, t.PartialC<{
    disabledReason: t.StringC;
    source: t.StringC;
    name: t.StringC;
    last_available: t.UnionC<[t.StringC, t.NullC]>;
    modified: t.StringC;
    isAsync: t.BooleanC;
}>]>, t.TypeC<{
    arguments: t.RecordC<t.StringC, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"context">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        show_in_record_action_list: t.BooleanC;
        show_in_default_list: t.BooleanC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"set">;
        value: t.UnionC<[t.ArrayC<t.StringC>, t.ArrayC<t.NumberC>, t.ArrayC<t.UnknownRecordC>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"provided">;
        value: t.UnionC<[t.LiteralC<"text">, t.LiteralC<"time">]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        dateTimeArgumentTypeId: t.NumberC;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"dependent">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"function">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"video">, t.LiteralC<"html">]>;
        value: t.IntersectionC<[t.TypeC<{
            source: t.StringC;
        }>, t.PartialC<{
            title: t.StringC;
            description: t.StringC;
            url: t.StringC;
        }>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        is_private: t.BooleanC;
        auto_choose: t.BooleanC;
    }>]>]>>;
    tags: t.ArrayC<t.StringC>;
    availability_rules: t.ArrayC<t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isNot: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            doesNotInclude: null;
            matchesRegex: null;
            isGreaterThan: null;
            isLessThan: null;
            isBefore: null;
            isAfter: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>>;
    recommend_rules: t.ArrayC<t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"always">;
    }>, t.PartialC<{
        operator: t.UnionC<[t.UndefinedC, t.NullC]>;
        field: t.UnionC<[t.UndefinedC, t.NullC]>;
        value: t.UnionC<[t.UndefinedC, t.NullC]>;
        reason: t.UnionC<[t.UndefinedC, t.NullC]>;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isNot: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            doesNotInclude: null;
            matchesRegex: null;
            isGreaterThan: null;
            isLessThan: null;
            isBefore: null;
            isAfter: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>]>>;
    availability_expression: t.UnionC<[t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>, t.NullC]>;
    recommend_expression: t.UnionC<[t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>, t.NullC]>;
    always_recommend: t.BooleanC;
    confirm: t.StringC;
    shortcut: t.ArrayC<t.StringC>;
    explanation: t.StringC;
    heading: t.StringC;
    is_live: t.BooleanC;
    category: t.UnionC<[t.NumberC, t.NullC]>;
    sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    icon: t.UnionC<[t.StringC, t.NullC]>;
    icon_color: t.UnionC<[t.StringC, t.NullC]>;
    image_color: t.UnionC<[t.StringC, t.NullC]>;
    image: t.UnionC<[t.StringC, t.NullC]>;
    celebrate: t.UnionC<[t.BooleanC, t.PartialC<{
        angle: t.NumberC;
        spread: t.NumberC;
        width: t.StringC;
        height: t.StringC;
        duration: t.NumberC;
        dragFriction: t.NumberC;
        stagger: t.NumberC;
        startVelocity: t.NumberC;
        elementCount: t.NumberC;
        decay: t.NumberC;
        colors: t.ArrayC<t.StringC>;
        random: t.AnyC;
    }>, t.NullC]>;
    recommend_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    shortcut_mac: t.ArrayC<t.StringC>;
    shortcut_win: t.ArrayC<t.StringC>;
    hotkey_mac: t.StringC;
    hotkey_win: t.StringC;
    detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>]>>]>;
    next_steps: t.ArrayC<t.UnionC<[t.StringC, t.NumberC]>>;
}>, t.PartialC<{
    third_party_source: t.UnionC<[t.StringC, t.NullC]>;
    third_party_id: t.UnionC<[t.StringC, t.NullC]>;
}>]>;
export declare class HelpSyncCommand {
    static listHelpCenter: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression | null;
        recommend_expression: import("./helpers/rules").RuleExpression | null;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        next_steps: (string | number)[];
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
    })[]>;
    static updateWithoutThrottle: (object: {
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression | null;
        recommend_expression: import("./helpers/rules").RuleExpression | null;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        next_steps: (string | number)[];
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string | number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "click" | "clickByXpath" | "clickBySelector";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "delete" | "post" | "put" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_explorer" | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "dependent";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "function";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: ({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        })[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "sessions" | "opens" | "deadends";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isNot" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "doesNotInclude" | "matchesRegex" | "isGreaterThan" | "isLessThan" | "isBefore" | "isAfter" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression | null;
        recommend_expression: import("./helpers/rules").RuleExpression | null;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "react" | "component";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        next_steps: (string | number)[];
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
    }>;
}
